cdac.medinfo.sdk.hl7282.baselibs.segments

## Class IN1

- java.lang.Object
- - cdac.medinfo.sdk.hl7282.baselibs.segments.Segment
  - - cdac.medinfo.sdk.hl7282.baselibs.segments.IN1

- All Implemented Interfaces:
    ISegment

      public class IN1
      extends Segment

  IN1 - Insurance Segment

  The IN1 segment contains insurance policy coverage information necessary to produce properly pro rated and patient and insurance bills.

  Represents an HL7 IN1 message segment. This segment has the following fields:

  IN1-1: Set ID - IN1 (SI)Required
  IN1-2: Insurance Plan ID (CWE)Required
  IN1-3: Insurance Company ID (CX)Required
  IN1-4: Insurance Company Name (XON)Optional
  IN1-5: Insurance Company Address (XAD)Optional
  IN1-6: Insurance Co Contact Person (XPN)Optional
  IN1-7: Insurance Co Phone Number (XTN)Optional
  IN1-8: Group Number (ST)Optional
  IN1-9: Group Name (XON)Optional
  IN1-10: Insured's Group Emp ID (CX)Optional
  IN1-11: Insured's Group Emp Name (XON)Optional
  IN1-12: Plan Effective Date (DT)Optional
  IN1-13: Plan Expiration Date (DT)Optional
  IN1-14: Authorization Information (AUI)Optional
  IN1-15: Plan Type (CWE)Optional
  IN1-16: Name Of Insured (XPN)Optional
  IN1-17: Insured's Relationship To Patient (CWE)Optional
  IN1-18: Insured's Date Of Birth (DTM)Optional
  IN1-19: Insured's Address (XAD)Optional
  IN1-20: Assignment Of Benefits (CWE)Optional
  IN1-21: Coordination Of Benefits (CWE)Optional
  IN1-22: Coord Of Ben. Priority (ST)Optional
  IN1-23: Notice Of Admission Flag (ID)Optional
  IN1-24: Notice Of Admission Date (DT)Optional
  IN1-25: Report Of Eligibility Flag (ID)Optional
  IN1-26: Report Of Eligibility Date (DT)Optional
  IN1-27: Release Information Code (CWE)Optional
  IN1-28: Pre-Admit Cert (PAC) (ST)
  IN1-29: Verification Date/Time (DTM)Optional
  IN1-30: Verification By (XCN)Optional
  IN1-31: Type Of Agreement Code (CWE)Optional
  IN1-32: Billing Status (CWE)Optional
  IN1-33: Lifetime Reserve Days (NM)Optional
  IN1-34: Delay Before L.R. Day (NM)Optional
  IN1-35: Company Plan Code (CWE)Optional
  IN1-36: Policy Number (ST)Optional
  IN1-37: Policy Deductible (CP)Optional
  IN1-38: Policy Limit - Amount (CP)Withdrawn
  IN1-39: Policy Limit - Days (NM)Optional
  IN1-40: Room Rate - Semi-Private (CP)Withdrawn
  IN1-41: Room Rate - Private (CP)Withdrawn
  IN1-42: Insured's Employment Status (CWE)Optional
  IN1-43: Insured's Administrative Sex (CWE)Optional
  IN1-44: Insured's Employer's Address (XAD)Optional
  IN1-45: Verification Status (ST)Optional
  IN1-46: Prior Insurance Plan ID (CWE)Optional
  IN1-47: Coverage Type (CWE)Optional
  IN1-48: Handicap (CWE)Optional
  IN1-49: Insured's ID Number (CX)Optional
  IN1-50: Signature Code (CWE)Optional
  IN1-51: Signature Code Date (DT)Optional
  IN1-52: Insured_s Birth Place (ST)Optional
  IN1-53: VIP Indicator (CWE)Optional
  IN1-54: External Health Plan Identifiers (CX)Optional
  IN1-55: Insurance Action Code (ID)Optional

  This class provides mechanism to validate message against HL7 v 2.8.2 standard. The class provides accessors & mutators for the elements mentioned above. The class has validate method which validates Message against HL7 v 2.8.2 standard.

  User can also create Segment through `SegmentFactory`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `IN1()` Constructs the IN1 segment.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addExternalHealthPlanIdentifiers(CX ExternalHealthPlanIdentifiers)` Set the External Health Plan Identifiers.
    `void` | `addExternalHealthPlanIdentifiers(java.lang.String strIDNumber, java.lang.String strCheckDigit, java.lang.String strCheckDigitScheme, HD objAssigningAuthority, java.lang.String strIdentifierTypeCode, HD objAssigningFacility, java.lang.String strEffectiveDate, java.lang.String strExpirationDate, CWE objAssigningJurisdiction, CWE objAssigningAgencyOrDepartment, java.lang.String strSecurityCheck, java.lang.String strSecurityCheckScheme)` Set the External Health Plan Identifiers.
    `void` | `addGroupName(java.lang.String strOrganizationName, CWE objOrganizationNameTypeCode, HD objAssigningAuthority, java.lang.String strIdentifierTypeCode, HD objAssigningFacility, java.lang.String strNameRepresentationCode, java.lang.String strOrganizationIdentifier)` Set the Group Name.
    `void` | `addGroupName(XON GroupName)` Set the Group Name.
    `void` | `addInsuranceCoContactPerson(FN objFamilyName, java.lang.String strGivenName, java.lang.String strSecondAndFurtherGivenNamesOrInitialsThereof, java.lang.String strSuffix, java.lang.String strPrefix, java.lang.String strNameTypeCode, java.lang.String strNameRepresentationCode, CWE objNameContext, java.lang.String strNameAssemblyOrder, DTM objEffectiveDate, DTM objExpirationDate, java.lang.String strProfessionalSuffix, java.lang.String strCalledBy)` Set the Insurance Co Contact Person.
    `void` | `addInsuranceCoContactPerson(XPN InsuranceCoContactPerson)` Set the Insurance Co Contact Person.
    `void` | `addInsuranceCompanyAddr(SAD objStreetAddress, java.lang.String strOtherDesignation, java.lang.String strCity, java.lang.String strStateOrProvince, java.lang.String strZipOrPostalCode, java.lang.String strCountry, java.lang.String strAddressType, java.lang.String strOtherGeographicDesignation, CWE objCountyParishCode, CWE objCensusTract, java.lang.String strAddressRepresentationCode, DTM objEffectiveDate, DTM objExpirationDate, CWE objEXpirationReason, java.lang.String strTemporaryIndicator, java.lang.String strBadAddressIndicator, java.lang.String strAddressUsage, java.lang.String strAddressee, java.lang.String strComment, java.lang.String strPreferenceOrder, CWE objProtectionCode, EI objAddressIdentifier)` Set the Insurance Company Addr.
    `void` | `addInsuranceCompanyAddr(XAD InsuranceCompanyAddr)` Set the Insurance Company Addr.
    `void` | `addInsuranceCompanyID(CX InsuranceCompanyID)` Set the Insurance Company ID.
    `void` | `addInsuranceCompanyID(java.lang.String strIDNumber, java.lang.String strCheckDigit, java.lang.String strCheckDigitScheme, HD objAssigningAuthority, java.lang.String strIdentifierTypeCode, HD objAssigningFacility, java.lang.String strEffectiveDate, java.lang.String strExpirationDate, CWE objAssigningJurisdiction, CWE objAssigningAgencyOrDepartment, java.lang.String strSecurityCheck, java.lang.String strSecurityCheckScheme)` Set the Insurance Company ID.
    `void` | `addInsuranceCompanyName(java.lang.String strOrganizationName, CWE objOrganizationNameTypeCode, HD objAssigningAuthority, java.lang.String strIdentifierTypeCode, HD objAssigningFacility, java.lang.String strNameRepresentationCode, java.lang.String strOrganizationIdentifier)` Set the Insurance Company Name.
    `void` | `addInsuranceCompanyName(XON InsuranceCompanyName)` Set the Insurance Company Name.
    `void` | `addInsuranceCoPhoneNumber(java.lang.String strTeleCommunicationUseCode, java.lang.String strTeleCommunicationEquipmentType, java.lang.String strCommuinicationAddress, java.lang.String strCountryCode, java.lang.String strAreaCityCode, java.lang.String strLocalNumber, java.lang.String strExtension, java.lang.String strAnyText, java.lang.String strExtensionPrefix, java.lang.String strSpeedDialCode, java.lang.String strUnformattedTelephoneNumber, java.lang.String strEffectiveStartDate, java.lang.String strExpirationDate, CWE objExpirationReason, CWE objProtectionCode, EI objSharedTelecommunicationIdentifier, java.lang.String strPreferenceOrder)` Set the Insurance Co Phone Number.
    `void` | `addInsuranceCoPhoneNumber(XTN InsuranceCoPhoneNumber)` Set the Insurance Co Phone Number.
    `void` | `addInsuredAddr(SAD objStreetAddress, java.lang.String strOtherDesignation, java.lang.String strCity, java.lang.String strStateOrProvince, java.lang.String strZipOrPostalCode, java.lang.String strCountry, java.lang.String strAddressType, java.lang.String strOtherGeographicDesignation, CWE objCountyParishCode, CWE objCensusTract, java.lang.String strAddressRepresentationCode, DTM objEffectiveDate, DTM objExpirationDate, CWE objEXpirationReason, java.lang.String strTemporaryIndicator, java.lang.String strBadAddressIndicator, java.lang.String strAddressUsage, java.lang.String strAddressee, java.lang.String strComment, java.lang.String strPreferenceOrder, CWE objProtectionCode, EI objAddressIdentifier)` Set the Insured Addr.
    `void` | `addInsuredAddr(XAD InsuredAddr)` Set the Insured Addr.
    `void` | `addInsuredEmployerAddr(SAD objStreetAddress, java.lang.String strOtherDesignation, java.lang.String strCity, java.lang.String strStateOrProvince, java.lang.String strZipOrPostalCode, java.lang.String strCountry, java.lang.String strAddressType, java.lang.String strOtherGeographicDesignation, CWE objCountyParishCode, CWE objCensusTract, java.lang.String strAddressRepresentationCode, DTM objEffectiveDate, DTM objExpirationDate, CWE objEXpirationReason, java.lang.String strTemporaryIndicator, java.lang.String strBadAddressIndicator, java.lang.String strAddressUsage, java.lang.String strAddressee, java.lang.String strComment, java.lang.String strPreferenceOrder, CWE objProtectionCode, EI objAddressIdentifier)` Set the Insured Employer Addr.
    `void` | `addInsuredEmployerAddr(XAD InsuredEmployerAddr)` Set the Insured Employer Addr.
    `void` | `addInsuredGroupEmpID(CX objInsuredGroupEmpID)` Set the Insured Group Emp ID.
    `void` | `addInsuredGroupEmpID(java.lang.String strIDNumber, java.lang.String strCheckDigit, java.lang.String strCheckDigitScheme, HD objAssigningAuthority, java.lang.String strIdentifierTypeCode, HD objAssigningFacility, java.lang.String strEffectiveDate, java.lang.String strExpirationDate, CWE objAssigningJurisdiction, CWE objAssigningAgencyOrDepartment, java.lang.String strSecurityCheck, java.lang.String strSecurityCheckScheme)` Set the Insured Group Emp ID.
    `void` | `addInsuredGroupEmpName(java.lang.String strOrganizationName, CWE objOrganizationNameTypeCode, HD objAssigningAuthority, java.lang.String strIdentifierTypeCode, HD objAssigningFacility, java.lang.String strNameRepresentationCode, java.lang.String strOrganizationIdentifier)` Set the Insured Group Emp Name.
    `void` | `addInsuredGroupEmpName(XON InsuredGroupEmpName)` Set the Insured Group Emp Name.
    `void` | `addInsuredIDNumber(CX InsuredIDNumber)` Set the Insured ID Number.
    `void` | `addInsuredIDNumber(java.lang.String strIDNumber, java.lang.String strCheckDigit, java.lang.String strCheckDigitScheme, HD objAssigningAuthority, java.lang.String strIdentifierTypeCode, HD objAssigningFacility, java.lang.String strEffectiveDate, java.lang.String strExpirationDate, CWE objAssigningJurisdiction, CWE objAssigningAgencyOrDepartment, java.lang.String strSecurityCheck, java.lang.String strSecurityCheckScheme)` Set the Insured ID Number.
    `void` | `addNameOfInsured(FN objFamilyName, java.lang.String strGivenName, java.lang.String strSecondAndFurtherGivenNamesOrInitialsThereof, java.lang.String strSuffix, java.lang.String strPrefix, java.lang.String strNameTypeCode, java.lang.String strNameRepresentationCode, CWE objNameContext, java.lang.String strNameAssemblyOrder, DTM objEffectiveDate, DTM objExpirationDate, java.lang.String strProfessionalSuffix, java.lang.String strCalledBy)` Set the Name Of Insured.
    `void` | `addNameOfInsured(XPN NameOfInsured)` Set the Name Of Insured.
    `void` | `addVerificationBy(java.lang.String strIDNumber, FN objFamilyName, java.lang.String strGivenName, java.lang.String strSecondAndFurtherGivenNamesOrInitialsThereof, java.lang.String strSuffix, java.lang.String strPrefix, CWE objSourceTable, HD objAssigningAuthority, java.lang.String strNameTypeCode, java.lang.String strIdentifierCheckDigit, java.lang.String strCheckDigitScheme, java.lang.String strIdentifierTypeCode, HD objAssigningFacility, java.lang.String strNameRepresentationCode, CWE objNameContext, java.lang.String strNameAssemblyOrder, java.lang.String strEffectiveDate, java.lang.String strExpirationDate, java.lang.String strProfessionalSuffix, CWE objAssigningJurisdiction, CWE objAssigningAgencyOrDepratment, java.lang.String strSecurityCheck, java.lang.String strSecurityCheckScheme)` Set the Verification By.
    `void` | `addVerificationBy(XCN VerificationBy)` Set the Verification By.
    `CWE` | `getAssignmentOfBenefits()` Retrieves the Assignment Of Benefits.
    `AUI` | `getAuthorizationInformation()` Retrieves the Authorization Information.
    `CWE` | `getBillingStatus()` Retrieves the Billing Status.
    `CWE` | `getCompanyPlanCode()` Retrieves the Company Plan Code.
    `CWE` | `getCoordOfBenefits()` Retrieves the Coord Of Benefits.
    `ST` | `getCoordOfBenPriority()` Retrieves the Coord Of Ben Priority.
    `CWE` | `getCoverageType()` Retrieves the Coverage Type.
    `NM` | `getDelayBeforeLRDay()` Retrieves the Delay Before LR Day.
    `ISingleCollection<CX>` | `getExternalHealthPlanIdentifiers()` Retrieves the External Health Plan Identifiers.
    `ISingleCollection<XON>` | `getGroupName()` Retrieves the Group Name.
    `ST` | `getGroupNumber()` Retrieves the Group Number.
    `CWE` | `getHandicap()` Retrieves the Handicap.
    `ID` | `getInsuranceActionCode()` Retrieves the Insurance Action Code.
    `ISingleCollection<XPN>` | `getInsuranceCoContactPerson()` Retrieves the Insurance Co Contact Person.
    `ISingleCollection<XAD>` | `getInsuranceCompanyAddr()` Retrieves the Insurance Company Addr.
    `ISingleCollection<CX>` | `getInsuranceCompanyID()` Retrieves the Insurance Company ID.
    `ISingleCollection<XON>` | `getInsuranceCompanyName()` Retrieves the Insurance Company Name.
    `ISingleCollection<XTN>` | `getInsuranceCoPhoneNumber()` Retrieves the Insurance Co Phone Number.
    `CWE` | `getInsurancePlanID()` Retrieves the Insurance Plan ID.
    `ISingleCollection<XAD>` | `getInsuredAddr()` Retrieves the Insured Addr.
    `CWE` | `getInsuredAdministrativeSex()` Retrieves the Insured Administrative Sex.
    `ST` | `getInsuredBirthPlace()` Retrieves the Insured Birth Place.
    `DTM` | `getInsuredDOB()` Retrieves the Insured DOB.
    `ISingleCollection<XAD>` | `getInsuredEmployerAddr()` Retrieves the Insured Employer Addr.
    `CWE` | `getInsuredEmploymentStatus()` Retrieves the Insured Employment Status.
    `ISingleCollection<CX>` | `getInsuredGroupEmpID()` Retrieves the Insured Group Emp ID.
    `ISingleCollection<XON>` | `getInsuredGroupEmpName()` Retrieves the Insured Group Emp Name.
    `ISingleCollection<CX>` | `getInsuredIDNumber()` Retrieves the Insured ID Number.
    `CWE` | `getInsuredRelationshipToPatient()` Retrieves the Insured Relationship To Patient.
    `NM` | `getLifetimeReserveDays()` Retrieves the Lifetime Reserve Days.
    `ISingleCollection<XPN>` | `getNameOfInsured()` Retrieves the Name Of Insured.
    `DT` | `getNoticeOfAdmissionDate()` Retrieves the Notice Of Admission Date.
    `ID` | `getNoticeOfAdmissionFlag()` Retrieves the Notice Of Admission Flag.
    `DT` | `getPlanEffectiveDate()` Retrieves the Plan Effective Date.
    `DT` | `getPlanExpirationDate()` Retrieves the Plan Expiration Date.
    `CWE` | `getPlanType()` Retrieves the Plan Type.
    `CP` | `getPolicyDeductible()` Retrieves the Policy Deductible.
    `NM` | `getPolicyLimitDays()` Retrieves the Policy Limit Days.
    `ST` | `getPolicyNumber()` Retrieves the Policy Number.
    `ST` | `getPreAdmitCert()` Retrieves the Pre Admit Cert.
    `CWE` | `getPriorInsurancePlanID()` Retrieves the Prior Insurance Plan ID.
    `CWE` | `getReleaseInformationCode()` Retrieves the Release Information Code.
    `DT` | `getReportOfEligibilityDate()` Retrieves the Report Of Eligibility Date.
    `ID` | `getReportOfEligibilityFlag()` Retrieves the Report Of Eligibility Flag.
    `SI` | `getSetID_IN1()` Retrieves the Set ID IN1.
    `CWE` | `getSignatureCode()` Retrieves the Signature Code.
    `DT` | `getSignatureCodeDate()` Retrieves the Signature Code Date.
    `CWE` | `getTypeOfAgreementCode()` Retrieves the Type Of Agreement Code.
    `ISingleCollection<XCN>` | `getVerificationBy()` Retrieves the Verification By.
    `DTM` | `getVerificationDateTime()` Retrieves the Verification Date Time.
    `ST` | `getVerificationStatus()` Retrieves the Verification Status.
    `CWE` | `getVIPIndicator()` Retrieves the VIP Indicator.
    `void` | `setAssignmentOfBenefits(CWE objassignmentOfBenefits)` Set the Assignment Of Benefits.
    `void` | `setAssignmentOfBenefits(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Assignment Of Benefits.
    `void` | `setAuthorizationInformation(AUI authorizationInformation)` Set the Authorization Information.
    `void` | `setAuthorizationInformation(java.lang.String strAuthorizationNumber, java.lang.String strDate, java.lang.String strSource)` Set the Authorization Information.
    `void` | `setBillingStatus(CWE objbillingStatus)` Set the Billing Status.
    `void` | `setBillingStatus(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Billing Status.
    `void` | `setCompanyPlanCode(CWE objcompanyPlanCode)` Set the Company Plan Code.
    `void` | `setCompanyPlanCode(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Company Plan Code.
    `void` | `setCoordOfBenefits(CWE objcoordOfBenefits)` Set the Coord Of Benefits.
    `void` | `setCoordOfBenefits(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Coord Of Benefits.
    `void` | `setCoordOfBenPriority(ST objcoordOfBenPriority)` Set the Coord Of Ben Priority.
    `void` | `setCoordOfBenPriority(java.lang.String strCoordOfBenPriority)` Set the Coord Of Ben Priority.
    `void` | `setCoverageType(CWE objcoverageType)` Set the Coverage Type.
    `void` | `setCoverageType(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Coverage Type.
    `void` | `setDelayBeforeLRDay(NM objdelayBeforeLRDay)` Set the Delay Before LR Day.
    `void` | `setDelayBeforeLRDay(java.lang.String strDelayBeforeLRDay)` Set the Delay Before LR Day.
    `void` | `setExternalHealthPlanIdentifiers(ISingleCollection<CX> objExternalHealthPlanIdentifiersList)` Set the External Health Plan Identifiers.
    `void` | `setGroupName(ISingleCollection<XON> objGroupNameList)` Set the GroupName list.
    `void` | `setGroupNumber(ST objgroupNumber)` Set the Group Number.
    `void` | `setGroupNumber(java.lang.String strGroupNumber)` Set the Group Number.
    `void` | `setHandicap(CWE objhandicap)` Set the Handicap.
    `void` | `setHandicap(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Handicap.
    `void` | `setInsuranceActionCode(ID objInsuranceActionCode)` Set the Insurance Action Code.
    `void` | `setInsuranceActionCode(java.lang.String strInsuranceActionCode)` Set the Insurance Action Code.
    `void` | `setInsuranceCoContactPerson(ISingleCollection<XPN> objInsuranceCoContactPersonList)` Set the InsuranceCoContactPerson list.
    `void` | `setInsuranceCompanyAddr(ISingleCollection<XAD> objInsuranceCompanyAddrList)` Set the InsuranceCompanyAddr list.
    `void` | `setInsuranceCompanyID(ISingleCollection<CX> objInsuranceCompanyIDList)` Set the InsuranceCompanyID list.
    `void` | `setInsuranceCompanyName(ISingleCollection<XON> objInsuranceCompanyNameList)` Set the InsuranceCompanyName list.
    `void` | `setInsuranceCoPhoneNumber(ISingleCollection<XTN> objInsuranceCoPhoneNumberList)` Set the InsuranceCoPhoneNumber list.
    `void` | `setInsurancePlanID(CWE insurancePlanID)` Set the Insurance Plan ID.
    `void` | `setInsurancePlanID(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Insurance Plan ID.
    `void` | `setInsuredAddr(ISingleCollection<XAD> objInsuredAddrList)` Set the InsuredAddr list.
    `void` | `setInsuredAdministrativeSex(CWE objinsuredAdministrativeSex)` Set the Insured Administrative Sex.
    `void` | `setInsuredAdministrativeSex(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Insured Administrative Sex.
    `void` | `setInsuredBirthPlace(ST objinsuredBirthPlace)` Set the Insured Birth Place.
    `void` | `setInsuredBirthPlace(java.lang.String strInsuredBirthPlace)` Set the Insured Birth Place.
    `void` | `setInsuredDOB(DTM insuredDOB)` Set the Insured DOB.
    `void` | `setInsuredDOB(java.lang.String strTime)` Set the Insured DOB.
    `void` | `setInsuredEmployerAddr(ISingleCollection<XAD> objInsuredEmployerAddrList)` Set the InsuredEmployerAddr list.
    `void` | `setInsuredEmploymentStatus(CWE insuredEmploymentStatus)` Set the Insured Employment Status.
    `void` | `setInsuredEmploymentStatus(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Insured Employment Status.
    `void` | `setInsuredGroupEmpID(ISingleCollection<CX> objInsuredGroupEmpIDList)` Set the InsuredGroupEmpID list.
    `void` | `setInsuredGroupEmpName(ISingleCollection<XON> objInsuredGroupEmpNameList)` Set the InsuredGroupEmpName list.
    `void` | `setInsuredIDNumber(ISingleCollection<CX> objInsuredIDNumberList)` Set the InsuredIDNumber list.
    `void` | `setInsuredRelationshipToPatient(CWE insuredRelationshipToPatient)` Set the Insured Relationship To Patient.
    `void` | `setInsuredRelationshipToPatient(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Insured Relationship To Patient.
    `void` | `setLifetimeReserveDays(NM objlifetimeReserveDays)` Set the Lifetime Reserve Days.
    `void` | `setLifetimeReserveDays(java.lang.String strLifetimeReserveDays)` Set the Lifetime Reserve Days.
    `void` | `setNameOfInsured(ISingleCollection<XPN> objNameOfInsuredList)` Set the NameOfInsured list.
    `void` | `setNoticeOfAdmissionDate(DT objnoticeOfAdmissionDate)` Set the Notice Of Admission Date.
    `void` | `setNoticeOfAdmissionDate(java.lang.String strNoticeOfAdmissionDate)` Set the Notice Of Admission Date.
    `void` | `setNoticeOfAdmissionFlag(ID objnoticeOfAdmissionFlag)` Set the Notice Of Admission Flag.
    `void` | `setNoticeOfAdmissionFlag(java.lang.String strNoticeOfAdmissionFlag)` Set the Notice Of Admission Flag.
    `void` | `setPlanEffectiveDate(DT objplanEffectiveDate)` Set the Plan Effective Date.
    `void` | `setPlanEffectiveDate(java.lang.String strPlanEffectiveDate)` Set the Plan Effective Date.
    `void` | `setPlanExpirationDate(DT objplanExpirationDate)` Set the Plan Expiration Date.
    `void` | `setPlanExpirationDate(java.lang.String strPlanExpirationDate)` Set the Plan Expiration Date.
    `void` | `setPlanType(CWE objplanType)` Set the Plan Type.
    `void` | `setPlanType(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Plan Type.
    `void` | `setPolicyDeductible(CP policyDeductible)` Set the Policy Deductible.
    `void` | `setPolicyDeductible(MO objPrice, java.lang.String strPriceType, java.lang.String strFromValue, java.lang.String strToValue, CWE objRangeUnits, java.lang.String strRangeType)` Set the Policy Deductible.
    `void` | `setPolicyLimitDays(NM objpolicyLimitDays)` Set the Policy Limit Days.
    `void` | `setPolicyLimitDays(java.lang.String strPolicyLimitDays)` Set the Policy Limit Days.
    `void` | `setPolicyNumber(ST objpolicyNumber)` Set the Policy Number.
    `void` | `setPolicyNumber(java.lang.String strPolicyNumber)` Set the Policy Number.
    `void` | `setPreAdmitCert(ST objpreAdmitCert)` Set the Pre Admit Cert.
    `void` | `setPreAdmitCert(java.lang.String strPreAdmitCert)` Set the Pre Admit Cert.
    `void` | `setPriorInsurancePlanID(CWE objpriorInsurancePlanID)` Set the Prior Insurance Plan ID.
    `void` | `setPriorInsurancePlanID(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Prior Insurance Plan ID.
    `void` | `setReleaseInformationCode(CWE objreleaseInformationCode)` Set the Release Information Code.
    `void` | `setReleaseInformationCode(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Release Information Code.
    `void` | `setReportOfEligibilityDate(DT objreportOfEligibilityDate)` Set the Report Of Eligibility Date.
    `void` | `setReportOfEligibilityDate(java.lang.String strReportOfEligibilityDate)` Set the Report Of Eligibility Date.
    `void` | `setReportOfEligibilityFlag(ID objreportOfEligibilityFlag)` Set the Report Of Eligibility Flag.
    `void` | `setReportOfEligibilityFlag(java.lang.String strReportOfEligibilityFlag)` Set the Report Of Eligibility Flag.
    `void` | `setSetID_IN1(SI objsetID_IN1)` Set the Set ID IN1.
    `void` | `setSetID_IN1(java.lang.String strSetID_IN1)` Set the Set ID IN1.
    `void` | `setSignatureCode(CWE objsignatureCode)` Set the Signature Code.
    `void` | `setSignatureCode(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Signature Code.
    `void` | `setSignatureCodeDate(DT objsignatureCodeDate)` Set the Signature Code Date.
    `void` | `setSignatureCodeDate(java.lang.String strSignatureCodeDate)` Set the Signature Code Date.
    `void` | `setTypeOfAgreementCode(CWE objtypeOfAgreementCode)` Set the Type Of Agreement Code.
    `void` | `setTypeOfAgreementCode(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Type Of Agreement Code.
    `void` | `setVerificationBy(ISingleCollection<XCN> objVerificationByList)` Set the VerificationBy list.
    `void` | `setVerificationDateTime(DTM verificationDateTime)` Set the Verification Date Time.
    `void` | `setVerificationDateTime(java.lang.String strTime)` Set the Verification Date Time.
    `void` | `setVerificationStatus(ST objverificationStatus)` Set the Verification Status.
    `void` | `setVerificationStatus(java.lang.String strVerificationStatus)` Set the Verification Status.
    `void` | `setVIPIndicator(CWE objvIPIndicator)` Set the VIP Indicator.
    `void` | `setVIPIndicator(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the VIP Indicator.
    `boolean` | `validate()` Validates HL7 Message objects .

    - ### Methods inherited from class cdac.medinfo.sdk.hl7282.baselibs.segments.Segment

      `addUnRecognizedField, dumpSegment, getFields, getName, getUnrecognizedFields, moveToNextSegment, parse, removeDataElement, removeDataElement, serialize, setName, setUnRecognizedField, updateDataElement, updateDataElement, writeToXML`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### IN1

          public IN1()

      Constructs the IN1 segment.

  - ### Method Detail

    - #### getAssignmentOfBenefits

          public CWE getAssignmentOfBenefits()

      Retrieves the Assignment Of Benefits. This field indicates whether the insured agreed to assign the insurance benefits to the healthcare provider or not.
      Returns:
        CWE - assignmentOfBenefits

    - #### getAuthorizationInformation

          public AUI getAuthorizationInformation()

      Retrieves the Authorization Information. This field specify the authorization number or code be obtained prior to all non-emergency admissions, and within 48 hours of an emergency admission.
      Returns:
        AUI - authorizationInformation

    - #### getBillingStatus

          public CWE getBillingStatus()

      Retrieves the Billing Status. This field indicates whether the particular insurance has been billed and, if so, the type of bill.
      Returns:
        CWE - billingStatus

    - #### getCompanyPlanCode

          public CWE getCompanyPlanCode()

      Retrieves the Company Plan Code. This field contains optional information to further define the data in IN1-3 - Insurance Company ID.
      Returns:
        CWE - companyPlanCode

    - #### getCoordOfBenefits

          public CWE getCoordOfBenefits()

      Retrieves the Coord Of Benefits. This field indicates whether this insurance works in conjunction with other insurance plans, or if it provides independent coverage and payment of benefits regardless of other insurance that might be available to the patient.
      Returns:
        CWE - coordOfBenefits

    - #### getCoordOfBenPriority

          public ST getCoordOfBenPriority()

      Retrieves the Coord Of Ben Priority. This field contains priority sequence.
      Returns:
        ST - coordOfBenPriority

    - #### getCoverageType

          public CWE getCoverageType()

      Retrieves the Coverage Type. This field contains the coding structure that identify the type of insurance coverage, or what types of services are covered for the purposes of a billing system.
      Returns:
        CWE - coverageType

    - #### getDelayBeforeLRDay

          public NM getDelayBeforeLRDay()

      Retrieves the Delay Before LR Day. This field indicates the delay before lifetime reserve days.
      Returns:
        NM - delayBeforeLRDay

    - #### getGroupName

          public ISingleCollection<XON> getGroupName()

      Retrieves the Group Name. This field contains the group name of the insured's insurance.
      Returns:
        ISingleCollection - groupName

    - #### getGroupNumber

          public ST getGroupNumber()

      Retrieves the Group Number. This field contains the group number of the insured's insurance.
      Returns:
        ST - groupNumber

    - #### getHandicap

          public CWE getHandicap()

      Retrieves the Handicap. This field contains a code to describe the insured's disability.
      Returns:
        CWE - handicap

    - #### getInsuranceCoContactPerson

          public ISingleCollection<XPN> getInsuranceCoContactPerson()

      Retrieves the Insurance Co Contact Person. This field contains the name of the person who should be contacted at the insurance company. Multiple names for the same contact person may be sent in this field.
      Returns:
        ISingleCollection - insuranceCoContactPerson

    - #### getInsuranceCompanyAddr

          public ISingleCollection<XAD> getInsuranceCompanyAddr()

      Retrieves the Insurance Company Addr. This field contains the address of the insurance company.
      Returns:
        ISingleCollection - insuranceCompanyAddr

    - #### getInsuranceCompanyID

          public ISingleCollection<CX> getInsuranceCompanyID()

      Retrieves the Insurance Company ID. This field contains unique identifiers for the insurance company.
      Returns:
        ISingleCollection - insuranceCompanyID

    - #### getInsuranceCompanyName

          public ISingleCollection<XON> getInsuranceCompanyName()

      Retrieves the Insurance Company Name. This field contains the name of the insurance company.
      Returns:
        ISingleCollection - insuranceCompanyName

    - #### getInsuranceCoPhoneNumber

          public ISingleCollection<XTN> getInsuranceCoPhoneNumber()

      Retrieves the Insurance Co Phone Number. This field contains the phone number of the insurance company. Multiple phone numbers for the same insurance company may be sent in this field.
      Returns:
        ISingleCollection - insuranceCoPhoneNumber

    - #### getInsurancePlanID

          public CWE getInsurancePlanID()

      Retrieves the Insurance Plan ID. This field contains a unique identifier for the insurance plan.
      Returns:
        CWE - insurancePlanID

    - #### getInsuredAddr

          public ISingleCollection<XAD> getInsuredAddr()

      Retrieves the Insured Addr. This field contains the address of the insured person.
      Returns:
        ISingleCollection - insuredAddr

    - #### getInsuredAdministrativeSex

          public CWE getInsuredAdministrativeSex()

      Retrieves the Insured Administrative Sex. This field contains the gender of the insured.
      Returns:
        CWE - insuredAdministrativeSex

    - #### getInsuredBirthPlace

          public ST getInsuredBirthPlace()

      Retrieves the Insured Birth Place. This field contains the description of the insured's birth place.
      Returns:
        ST - insuredBirthPlace

    - #### getInsuredDOB

          public DTM getInsuredDOB()

      Retrieves the Insured DOB. This field contains the date of birth of the insured.
      Returns:
        DTM - insuredDOB

    - #### getInsuredEmployerAddr

          public ISingleCollection<XAD> getInsuredEmployerAddr()

      Retrieves the Insured Employer Addr. This field contains the address of the insured employee's employer.
      Returns:
        ISingleCollection - insuredEmployerAddr

    - #### getInsuredEmploymentStatus

          public CWE getInsuredEmploymentStatus()

      Retrieves the Insured Employment Status. This field holds the employment status of the insured.
      Returns:
        CWE - insuredEmploymentStatus

    - #### getInsuredGroupEmpID

          public ISingleCollection<CX> getInsuredGroupEmpID()

      Retrieves the Insured Group Emp ID. This field holds the group employer ID for the insured's insurance.
      Returns:
        ISingleCollection - insuredGroupEmpID

    - #### getInsuredGroupEmpName

          public ISingleCollection<XON> getInsuredGroupEmpName()

      Retrieves the Insured Group Emp Name. This field contains the name of the employer that provides the employee's insurance.
      Returns:
        ISingleCollection - insuredGroupEmpName

    - #### getInsuredIDNumber

          public ISingleCollection<CX> getInsuredIDNumber()

      Retrieves the Insured ID Number. This field data element contains a healthcare institution's identifiers for the insured.
      Returns:
        ISingleCollection - insuredIDNumber

    - #### getInsuredRelationshipToPatient

          public CWE getInsuredRelationshipToPatient()

      Retrieves the Insured Relationship To Patient. This field indicates the insured's relationship to the patient.
      Returns:
        CWE - insuredRelationshipToPatient

    - #### getLifetimeReserveDays

          public NM getLifetimeReserveDays()

      Retrieves the Lifetime Reserve Days. This field contains the number of days left for a certain service to be provided or covered under an insurance policy.
      Returns:
        NM - lifetimeReserveDays

    - #### getNameOfInsured

          public ISingleCollection<XPN> getNameOfInsured()

      Retrieves the Name Of Insured. This field contains the name of the insured person.
      Returns:
        ISingleCollection - nameOfInsured

    - #### getNoticeOfAdmissionDate

          public DT getNoticeOfAdmissionDate()

      Retrieves the Notice Of Admission Date. This field indicates the date that it is send.
      Returns:
        DT - noticeOfAdmissionDate

    - #### getNoticeOfAdmissionFlag

          public ID getNoticeOfAdmissionFlag()

      Retrieves the Notice Of Admission Flag. This field indicates whether the insurance company requires a written notice of admission from the healthcare provider or not.
      Returns:
        ID - noticeOfAdmissionFlag

    - #### getPlanEffectiveDate

          public DT getPlanEffectiveDate()

      Retrieves the Plan Effective Date. This field contains the date that the insurance goes into effect.
      Returns:
        DT - planEffectiveDate

    - #### getPlanExpirationDate

          public DT getPlanExpirationDate()

      Retrieves the Plan Expiration Date. This indicates the last date of service that the insurance will cover or be responsible for.
      Returns:
        DT - planExpirationDate

    - #### getPlanType

          public CWE getPlanType()

      Retrieves the Plan Type. This contains the coding structure that identify the various plan types.
      Returns:
        CWE - planType

    - #### getPolicyDeductible

          public CP getPolicyDeductible()

      Retrieves the Policy Deductible. This field contains the amount specify by the insurance plan that is the responsibility of the guarantor (i.e. deductible, excess, etc.).
      Returns:
        CP - policyDeductible

    - #### getPolicyLimitDays

          public NM getPolicyLimitDays()

      Retrieves the Policy Limit Days. This field contains the maximum number of days that the insurance policy will cover.
      Returns:
        NM - policyLimitDays

    - #### getPolicyNumber

          public ST getPolicyNumber()

      Retrieves the Policy Number. This field contains the individual policy number of the insured to uniquely identify this patient's plan.
      Returns:
        ST - policyNumber

    - #### getPreAdmitCert

          public ST getPreAdmitCert()

      Retrieves the Pre Admit Cert. This field contains the pre admission certification code.
      Returns:
        ST - preAdmitCert

    - #### getPriorInsurancePlanID

          public CWE getPriorInsurancePlanID()

      Retrieves the Prior Insurance Plan ID. This field uniquely identify the prior insurance plan when the plan ID changes.
      Returns:
        CWE - priorInsurancePlanID

    - #### getReleaseInformationCode

          public CWE getReleaseInformationCode()

      Retrieves the Release Information Code. This field indicates whether the healthcare provider can release information about the patient, and what information can be released.
      Returns:
        CWE - releaseInformationCode

    - #### getReportOfEligibilityDate

          public DT getReportOfEligibilityDate()

      Retrieves the Report Of Eligibility Date. This field indicates whether a report of eligibility (ROE) is received, and also indicates the date that it is received.
      Returns:
        DT - reportOfEligibilityDate

    - #### getReportOfEligibilityFlag

          public ID getReportOfEligibilityFlag()

      Retrieves the Report Of Eligibility Flag. This field indicates whether this insurance carrier sends a report that indicates that the patient is eligible for benefits and whether it identifies those benefits.
      Returns:
        ID - reportOfEligibilityFlag

    - #### getSetID_IN1

          public SI getSetID_IN1()

      Retrieves the Set ID IN1. This field contains the number that identify this transaction.
      Returns:
        SI - setID_IN1

    - #### getSignatureCode

          public CWE getSignatureCode()

      Retrieves the Signature Code. This field contains the code to indicate how the patient/subscriber authorization signature was obtained and how it is being retained by the provider.
      Returns:
        CWE - signatureCode

    - #### getSignatureCodeDate

          public DT getSignatureCodeDate()

      Retrieves the Signature Code Date. This date the patient/subscriber authorization signature is obtained.
      Returns:
        DT - signatureCodeDate

    - #### getTypeOfAgreementCode

          public CWE getTypeOfAgreementCode()

      Retrieves the Type Of Agreement Code. This field is used to further identify an insurance plan.
      Returns:
        CWE - typeOfAgreementCode

    - #### getVerificationBy

          public ISingleCollection<XCN> getVerificationBy()

      Retrieves the Verification By. This field refers to the person who verify the benefits.
      Returns:
        ISingleCollection - verificationBy

    - #### getVerificationDateTime

          public DTM getVerificationDateTime()

      Retrieves the Verification Date Time. This field contains the date/time that the healthcare provider verified that the patient has the indicated benefits.
      Returns:
        DTM - verificationDateTime

    - #### getVerificationStatus

          public ST getVerificationStatus()

      Retrieves the Verification Status. This field contains the status of this patient's relationship with this insurance carrier.
      Returns:
        ST - verificationStatus

    - #### getVIPIndicator

          public CWE getVIPIndicator()

      Retrieves the VIP Indicator. This field identify the type of VIP for the insured.
      Returns:
        CWE - vIPIndicator

    - #### getExternalHealthPlanIdentifiers

          public ISingleCollection<CX> getExternalHealthPlanIdentifiers()

      Retrieves the External Health Plan Identifiers. This field contains the external Health Plan Identifiers that correspond to the internal Health Plan ID in IN1-2 – Health Plan ID.
      Returns:
        ISingleCollection - External Health Plan Identifiers

    - #### getInsuranceActionCode

          public ID getInsuranceActionCode()

      Retrieves the Insurance Action Code. The Insurance Action Code Defines the action to be taken for this insurance.
      Returns:
        ID - InsuranceActionCode

    - #### setSetID_IN1

          public void setSetID_IN1(java.lang.String strSetID_IN1)

      Set the Set ID IN1. This field contains the number that identify this transaction.
      Parameters:
        `strSetID_IN1` - This field contains the number that identifies transaction of IN1 segment.

    - #### setSetID_IN1

          public void setSetID_IN1(SI objsetID_IN1)

      Set the Set ID IN1. This field contains the number that identify this transaction.
      Parameters:
        `objsetID_IN1` - This field contains the number that identifies transaction of IN1 segment.

    - #### setInsurancePlanID

          public void setInsurancePlanID(java.lang.String strIdentifier,
                                java.lang.String strText,
                                java.lang.String strNameOfCodingSystem,
                                java.lang.String strAlternateIdentifier,
                                java.lang.String strAlternateText,
                                java.lang.String strNameOfAlternateCodingSystem,
                                java.lang.String strCodingSystemVersionID,
                                java.lang.String strAlternateCodingSystemVersionId,
                                java.lang.String strOriginalText,
                                java.lang.String strSecondAlternateIdentifier,
                                java.lang.String strSecondAlternateText,
                                java.lang.String strNameofSecondAlternateCodingSystem,
                                java.lang.String strSecondAlternateCodingSystemVersionID,
                                java.lang.String strCodingSystemOID,
                                java.lang.String strValueSetOID,
                                java.lang.String strValueSetVersionID,
                                java.lang.String strAlternateCodingSystemOID,
                                java.lang.String strAlternateValueSetOID,
                                java.lang.String strAlternateValueSetVersionID,
                                java.lang.String strSecondAlternateCodingSystemOID,
                                java.lang.String strSecondAlternateValueSetOID,
                                java.lang.String strSecondAlternateValueSetVersionID)

      Set the Insurance Plan ID. This field contains a unique identifier for the insurance plan.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### setInsurancePlanID

          public void setInsurancePlanID(CWE insurancePlanID)

      Set the Insurance Plan ID. This field contains a unique identifier for the insurance plan.
      Parameters:
        `insurancePlanID` -

    - #### addInsuranceCompanyID

          public void addInsuranceCompanyID(java.lang.String strIDNumber,
                                   java.lang.String strCheckDigit,
                                   java.lang.String strCheckDigitScheme,
                                   HD objAssigningAuthority,
                                   java.lang.String strIdentifierTypeCode,
                                   HD objAssigningFacility,
                                   java.lang.String strEffectiveDate,
                                   java.lang.String strExpirationDate,
                                   CWE objAssigningJurisdiction,
                                   CWE objAssigningAgencyOrDepartment,
                                   java.lang.String strSecurityCheck,
                                   java.lang.String strSecurityCheckScheme)

      Set the Insurance Company ID. This field contains unique identifiers for the insurance company.
      Parameters:
        `strIDNumber` - Specifies the value of the identifier itself.
        `strCheckDigit` - It is part of the identifying number used in the sending application.
        `strCheckDigitScheme` - Contains the code identifying the check digit scheme employed. Suggested Values NP,ISO,M10,M11.[Refer table No.0061].
        `objAssigningAuthority` - The assigning authority is a unique name of the system (or organization or agency or department) that creates the data. .
        `strIdentifierTypeCode` - Specifies a code corresponding to the type of identifier.In some cases, this code may be used as a qualifier to the "Assigning authority" component.[Refer table No 0203]
        `objAssigningFacility` - Specifies the place or location identifier where the identifier was first assigned to the patient.
        `strEffectiveDate` - Specifies the first date, if known, on which the address is valid and active.
        `strExpirationDate` - Specifies the last date, if known, on which the address is valid and active.
        `objAssigningJurisdiction` - Specifies the geo-political body that assigned the identifier.
        `objAssigningAgencyOrDepartment` - Specifies agency or department that assigned the identifier.
        `strSecurityCheck` - is used to communicate the version code.
        `objSecurityCheckSCheme` - is used to transmit information intended to validate veracity of the supplied identifier

    - #### addInsuranceCompanyID

          public void addInsuranceCompanyID(CX InsuranceCompanyID)

      Set the Insurance Company ID. This field contains unique identifiers for the insurance company.
      Parameters:
        `InsuranceCompanyID` -

    - #### setInsuranceCompanyID

          public void setInsuranceCompanyID(ISingleCollection<CX> objInsuranceCompanyIDList)

      Set the InsuranceCompanyID list.
      Parameters:
        `objInsuranceCompanyIDList` - List of InsuranceCompanyID

    - #### addInsuranceCompanyName

          public void addInsuranceCompanyName(java.lang.String strOrganizationName,
                                     CWE objOrganizationNameTypeCode,
                                     HD objAssigningAuthority,
                                     java.lang.String strIdentifierTypeCode,
                                     HD objAssigningFacility,
                                     java.lang.String strNameRepresentationCode,
                                     java.lang.String strOrganizationIdentifier)

      Set the Insurance Company Name. This field contains the name of the insurance company.
      Parameters:
        `strOrganizationName` - Specifies name of the specified organization.
        `strOrganizationNameTypeCode` - Specifies a code that represents the type of name i.e., legal name, display name. Suggested Values A,L,D,SL.[Refer to table No.0204]
        `objAssigningAuthority` - Specifies The assigning authority is a unique identifier of the system (or organization or agency or department) that creates the data.
        `strIdentifierTypeCode` - Specifies a code corresponding to the type of identifier.
        `objAssigningFacility` - Specifies The place or location identifier where the identifier was first assigned to the person.
        `strNameRepresentationCode` - Specifies representations of the same name/address Suggested values are I,A,P [Refer table 0465]
        `strOrganizationIdentifier` - This component contains the sequence of characters (the code) that uniquely identifies the item being referenced by XON.1 Organization Name. This component replaces XON.3 ID Number as of v 2.5.

    - #### addInsuranceCompanyName

          public void addInsuranceCompanyName(XON InsuranceCompanyName)

      Set the Insurance Company Name. This field contains the name of the insurance company.
      Parameters:
        `InsuranceCompanyName` -

    - #### setInsuranceCompanyName

          public void setInsuranceCompanyName(ISingleCollection<XON> objInsuranceCompanyNameList)

      Set the InsuranceCompanyName list.
      Parameters:
        `objInsuranceCompanyNameList` - List of InsuranceCompanyName

    - #### addInsuranceCompanyAddr

          public void addInsuranceCompanyAddr(SAD objStreetAddress,
                                     java.lang.String strOtherDesignation,
                                     java.lang.String strCity,
                                     java.lang.String strStateOrProvince,
                                     java.lang.String strZipOrPostalCode,
                                     java.lang.String strCountry,
                                     java.lang.String strAddressType,
                                     java.lang.String strOtherGeographicDesignation,
                                     CWE objCountyParishCode,
                                     CWE objCensusTract,
                                     java.lang.String strAddressRepresentationCode,
                                     DTM objEffectiveDate,
                                     DTM objExpirationDate,
                                     CWE objEXpirationReason,
                                     java.lang.String strTemporaryIndicator,
                                     java.lang.String strBadAddressIndicator,
                                     java.lang.String strAddressUsage,
                                     java.lang.String strAddressee,
                                     java.lang.String strComment,
                                     java.lang.String strPreferenceOrder,
                                     CWE objProtectionCode,
                                     EI objAddressIdentifier)

      Set the Insurance Company Addr. This field contains the address of the insurance company.
      Parameters:
        `objStreetAddress` - Specifies the street address.
        `strOtherDesignation` - Specifies the Second line of address.
        `strCity` - The city, or district or place where the addressee is located.
        `strStateOrProvince` - Specifies the state or province where the addressee is located.
        `strZipOrPostalCode` - Specifies the zip or postal code where the addressee is located.
        `strCountry` - Specifies the country where the addressee is located.
        `strAddressType` - Specifies the kind or type of address.
        `strOtherGeographicDesignation` - Specifies any other geographic designation.
        `objCountyParishCode` - Specifies a code that represents the county in which the specified address resides.
        `objCensusTract` - Specifies a code that represents the census tract in which the specified address resides.
        `strAddressRepresentationCode` - Specifies representations of the same name/address Suggested values are I,A,P [Refer table 0465]
        `objEffectiveDate` - It is The first date, if known, on which the address is valid and active.
        `objExpirationDate` - It is The last date, if known, on which the address is valid and active.
        `objExpirationReason` - indicates why this address was marked as ended.
        `strTemporaryIndicator` - indicates whether address is considered temporary .
        `strBadAddressIndicator` - indicates whether it is possible to contact the owning entity.
        `strAddressUsage` - indicates how the address is intended to be used.
        `strAddressee` - indicates the name of the person whose address is intended to be used.
        `strComment` - indicated descriptive information
        `strPreferenceOrder` - preference order
        `objProtectionCode` - indicates that an address need to be protected
        `objAdressIdentifier` - indicates a unique identifier for address

    - #### addInsuranceCompanyAddr

          public void addInsuranceCompanyAddr(XAD InsuranceCompanyAddr)

      Set the Insurance Company Addr. This field contains the address of the insurance company.
      Parameters:
        `InsuranceCompanyAddr` -

    - #### setInsuranceCompanyAddr

          public void setInsuranceCompanyAddr(ISingleCollection<XAD> objInsuranceCompanyAddrList)

      Set the InsuranceCompanyAddr list.
      Parameters:
        `objInsuranceCompanyAddrList` - List of InsuranceCompanyAddr

    - #### addInsuranceCoContactPerson

          public void addInsuranceCoContactPerson(FN objFamilyName,
                                         java.lang.String strGivenName,
                                         java.lang.String strSecondAndFurtherGivenNamesOrInitialsThereof,
                                         java.lang.String strSuffix,
                                         java.lang.String strPrefix,
                                         java.lang.String strNameTypeCode,
                                         java.lang.String strNameRepresentationCode,
                                         CWE objNameContext,
                                         java.lang.String strNameAssemblyOrder,
                                         DTM objEffectiveDate,
                                         DTM objExpirationDate,
                                         java.lang.String strProfessionalSuffix,
                                         java.lang.String strCalledBy)

      Set the Insurance Co Contact Person. This field contains the name of the person who should be contacted at the insurance company. Multiple names for the same contact person may be sent in this field.
      Parameters:
        `objFamilyName` - Specifies the surname of a person.
        `strGivenName` - Specifies First name.
        `strSecondAndFurtherGivenNamesOrInitialsThereof` - Specifies multiple middle names that may be included by separating them with spaces.
        `strSuffix` - Used to specify a name suffix (e.g., Jr. or III).
        `strPrefix` - Used to specify a name prefix (e.g., Dr.).
        `strNameTypeCode` - Specifies a code that represents the type of name. Suggested values are A,B,C,D,I,L,M,N,P,R,S,T,U...[Refer table 0200.]
        `strNameRepresentationCode` - Specifies representations of the same name/address Suggested values are I,A,P [Refer table 0465]
        `objNameContext` - Designates the context in which a name is used. [Refer User-defined Table 0448 ]
        `strNameAssemblyOrder` - Specifies a code that represents the preferred display order of the components of this person name. Suggested values are G,F[Refer table 0444.]
        `objEffectiveDate` - Specifies the first date, if known, on which the address is valid and active.
        `objExpirationDate` - Specifies the last date, if known, on which the address is valid and active.
        `strProfessionalSuffix` - Used to specify an abbreviation, or a string of abbreviations, denoting qualifications that support the person's profession, (e.g., licenses).
        `strCalledBy` - Used to specify the called name.

    - #### addInsuranceCoContactPerson

          public void addInsuranceCoContactPerson(XPN InsuranceCoContactPerson)

      Set the Insurance Co Contact Person. This field contains the name of the person who should be contacted at the insurance company. Multiple names for the same contact person may be sent in this field.
      Parameters:
        `InsuranceCoContactPerson` -

    - #### setInsuranceCoContactPerson

          public void setInsuranceCoContactPerson(ISingleCollection<XPN> objInsuranceCoContactPersonList)

      Set the InsuranceCoContactPerson list.
      Parameters:
        `objInsuranceCoContactPersonList` - List of InsuranceCoContactPerson

    - #### addInsuranceCoPhoneNumber

          public void addInsuranceCoPhoneNumber(java.lang.String strTeleCommunicationUseCode,
                                       java.lang.String strTeleCommunicationEquipmentType,
                                       java.lang.String strCommuinicationAddress,
                                       java.lang.String strCountryCode,
                                       java.lang.String strAreaCityCode,
                                       java.lang.String strLocalNumber,
                                       java.lang.String strExtension,
                                       java.lang.String strAnyText,
                                       java.lang.String strExtensionPrefix,
                                       java.lang.String strSpeedDialCode,
                                       java.lang.String strUnformattedTelephoneNumber,
                                       java.lang.String strEffectiveStartDate,
                                       java.lang.String strExpirationDate,
                                       CWE objExpirationReason,
                                       CWE objProtectionCode,
                                       EI objSharedTelecommunicationIdentifier,
                                       java.lang.String strPreferenceOrder)

      Set the Insurance Co Phone Number. This field contains the phone number of the insurance company. Multiple phone numbers for the same insurance company may be sent in this field.
      Parameters:
        `strTeleCommunicationUseCode` - Specifies a code that represents a specific use of a telecommunication number. Suggested values are PRN,ORN,WPN,VHN,ASN,EMR,NET,BPN [Refer table 0201.]
        `strTeleCommunicationEquipmentType` - Specifies a code that represents the type of telecommunication equipment. Suggested values are PH,FX,MD,CP,BP,Internet,X.400,TDD,TTY [Refer table 0202.]
        `strCommuinicationAddress` - Specifies Email address.
        `strCountryCode` - Specifies the Country code.
        `strAreaCityCode` - Specifies the area /City Code.
        `strLocalNumber` - Specifies an Local Number.
        `strExtension` - Specifies an Extension.
        `strAnyText` - Contains comments with respect to the telephone number.
        `strExtensionPrefix` - Specifies the characters established within a company's internal telephone system network used as a prefix to the Extension component for internal dialing.
        `strSpeedDialCode` - Specifies The characters established within a company's internal telephone system used in place of the (external) telephone number.
        `strUnformattedTelephoneNumber` - Specifies an expression of the telephone number as an unparsible string.
        `strEffectiveStartDate` - Specifies start date.
        `strExpirationDate` - Specifies expiration date.
        `objExpirationReason` - Specifies reason why this contact is marked as ended.
        `objProtectionCode` - Specifies reason why this information is sensitive or protected.
        `objSharedTelecommunicationIdentifier` - Specifies a unique phone number phone telephone number or email-id.
        `strPreferenceOrder` - Specifies the preference order for an entity..

    - #### addInsuranceCoPhoneNumber

          public void addInsuranceCoPhoneNumber(XTN InsuranceCoPhoneNumber)

      Set the Insurance Co Phone Number. This field contains the phone number of the insurance company. Multiple phone numbers for the same insurance company may be sent in this field.
      Parameters:
        `InsuranceCoPhoneNumber` -

    - #### setInsuranceCoPhoneNumber

          public void setInsuranceCoPhoneNumber(ISingleCollection<XTN> objInsuranceCoPhoneNumberList)

      Set the InsuranceCoPhoneNumber list.
      Parameters:
        `objInsuranceCoPhoneNumberList` - List of InsuranceCoPhoneNumber

    - #### setGroupNumber

          public void setGroupNumber(java.lang.String strGroupNumber)

      Set the Group Number. This field contains the group number of the insured's insurance.
      Parameters:
        `strGroupNumber` - Specifies the group number of the insured's insurance.

    - #### setGroupNumber

          public void setGroupNumber(ST objgroupNumber)

      Set the Group Number. This field contains the group number of the insured's insurance.
      Parameters:
        `objgroupNumber` - Specifies the group number of the insured's insurance.

    - #### addGroupName

          public void addGroupName(java.lang.String strOrganizationName,
                          CWE objOrganizationNameTypeCode,
                          HD objAssigningAuthority,
                          java.lang.String strIdentifierTypeCode,
                          HD objAssigningFacility,
                          java.lang.String strNameRepresentationCode,
                          java.lang.String strOrganizationIdentifier)

      Set the Group Name. This field contains the group name of the insured's insurance.
      Parameters:
        `strOrganizationName` - Specifies name of the specified organization.
        `strOrganizationNameTypeCode` - Specifies a code that represents the type of name i.e., legal name, display name. Suggested Values A,L,D,SL.[Refer to table No.0204]
        `objAssigningAuthority` - Specifies The assigning authority is a unique identifier of the system (or organization or agency or department) that creates the data.
        `strIdentifierTypeCode` - Specifies a code corresponding to the type of identifier.
        `objAssigningFacility` - Specifies The place or location identifier where the identifier was first assigned to the person.
        `strNameRepresentationCode` - Specifies representations of the same name/address Suggested values are I,A,P [Refer table 0465]
        `strOrganizationIdentifier` - This component contains the sequence of characters (the code) that uniquely identifies the item being referenced by XON.1 Organization Name. This component replaces XON.3 ID Number as of v 2.5.

    - #### addGroupName

          public void addGroupName(XON GroupName)

      Set the Group Name. This field contains the group name of the insured's insurance.
      Parameters:
        `GroupName` -

    - #### setGroupName

          public void setGroupName(ISingleCollection<XON> objGroupNameList)

      Set the GroupName list.
      Parameters:
        `objGroupNameList` - List of GroupName

    - #### addInsuredGroupEmpID

          public void addInsuredGroupEmpID(java.lang.String strIDNumber,
                                  java.lang.String strCheckDigit,
                                  java.lang.String strCheckDigitScheme,
                                  HD objAssigningAuthority,
                                  java.lang.String strIdentifierTypeCode,
                                  HD objAssigningFacility,
                                  java.lang.String strEffectiveDate,
                                  java.lang.String strExpirationDate,
                                  CWE objAssigningJurisdiction,
                                  CWE objAssigningAgencyOrDepartment,
                                  java.lang.String strSecurityCheck,
                                  java.lang.String strSecurityCheckScheme)

      Set the Insured Group Emp ID. This field holds the group employer ID for the insured's insurance.
      Parameters:
        `strIDNumber` - Specifies the value of the identifier itself.
        `strCheckDigit` - It is part of the identifying number used in the sending application.
        `strCheckDigitScheme` - Contains the code identifying the check digit scheme employed. Suggested Values NP,ISO,M10,M11.[Refer table No.0061].
        `objAssigningAuthority` - The assigning authority is a unique name of the system (or organization or agency or department) that creates the data. .
        `strIdentifierTypeCode` - Specifies a code corresponding to the type of identifier.In some cases, this code may be used as a qualifier to the "Assigning authority" component.[Refer table No 0203]
        `objAssigningFacility` - Specifies the place or location identifier where the identifier was first assigned to the patient.
        `strEffectiveDate` - Specifies the first date, if known, on which the address is valid and active.
        `strExpirationDate` - Specifies the last date, if known, on which the address is valid and active.
        `objAssigningJurisdiction` - Specifies the geo-political body that assigned the identifier.
        `objAssigningAgencyOrDepartment` - Specifies agency or department that assigned the identifier.
        `strSecurityCheck` - is used to communicate the version code.
        `objSecurityCheckSCheme` - is used to transmit information intended to validate veracity of the supplied identifier

    - #### addInsuredGroupEmpID

          public void addInsuredGroupEmpID(CX objInsuredGroupEmpID)

      Set the Insured Group Emp ID. This field holds the group employer ID for the insured's insurance.
      Parameters:
        `strIDNumber` - Specifies the value of the identifier itself.
        `strCheckDigit` - It is part of the identifying number used in the sending application.
        `strCheckDigitScheme` - Contains the code identifying the check digit scheme employed. Suggested Values NP,ISO,M10,M11.[Refer table No.0061].
        `objAssigningAuthority` - The assigning authority is a unique name of the system (or organization or agency or department) that creates the data. .
        `strIdentifierTypeCode` - Specifies a code corresponding to the type of identifier.In some cases, this code may be used as a qualifier to the "Assigning authority" component.[Refer table No 0203]
        `objAssigningFacility` - Specifies the place or location identifier where the identifier was first assigned to the patient.
        `strEffectiveDate` - Specifies the first date, if known, on which the address is valid and active.
        `strExpirationDate` - Specifies the last date, if known, on which the address is valid and active.
        `objAssigningJurisdiction` - Specifies the geo-political body that assigned the identifier.
        `objAssigningAgencyOrDepartment` - Specifies agency or department that assigned the identifier.

    - #### setInsuredGroupEmpID

          public void setInsuredGroupEmpID(ISingleCollection<CX> objInsuredGroupEmpIDList)

      Set the InsuredGroupEmpID list.
      Parameters:
        `objInsuredGroupEmpIDList` - List of InsuredGroupEmpID

    - #### addInsuredGroupEmpName

          public void addInsuredGroupEmpName(java.lang.String strOrganizationName,
                                    CWE objOrganizationNameTypeCode,
                                    HD objAssigningAuthority,
                                    java.lang.String strIdentifierTypeCode,
                                    HD objAssigningFacility,
                                    java.lang.String strNameRepresentationCode,
                                    java.lang.String strOrganizationIdentifier)

      Set the Insured Group Emp Name. This field contains the name of the employer that provides the employee's insurance.
      Parameters:
        `strOrganizationName` - Specifies name of the specified organization.
        `strOrganizationNameTypeCode` - Specifies a code that represents the type of name i.e., legal name, display name. Suggested Values A,L,D,SL.[Refer to table No.0204]
        `objAssigningAuthority` - Specifies The assigning authority is a unique identifier of the system (or organization or agency or department) that creates the data.
        `strIdentifierTypeCode` - Specifies a code corresponding to the type of identifier.
        `objAssigningFacility` - Specifies The place or location identifier where the identifier was first assigned to the person.
        `strNameRepresentationCode` - Specifies representations of the same name/address Suggested values are I,A,P [Refer table 0465]
        `strOrganizationIdentifier` - This component contains the sequence of characters (the code) that uniquely identifies the item being referenced by XON.1 Organization Name. This component replaces XON.3 ID Number as of v 2.5.

    - #### addInsuredGroupEmpName

          public void addInsuredGroupEmpName(XON InsuredGroupEmpName)

      Set the Insured Group Emp Name. This field contains the name of the employer that provides the employee's insurance.
      Parameters:
        `InsuredGroupEmpName` -

    - #### setInsuredGroupEmpName

          public void setInsuredGroupEmpName(ISingleCollection<XON> objInsuredGroupEmpNameList)

      Set the InsuredGroupEmpName list.
      Parameters:
        `objGuarantorAddressList` - List of InsuredGroupEmpName

    - #### setPlanEffectiveDate

          public void setPlanEffectiveDate(java.lang.String strPlanEffectiveDate)

      Set the Plan Effective Date. This field contains the date that the insurance goes into effect.
      Parameters:
        `strPlanEffectiveDate` - Specifies date that the insurance goes into effect.

    - #### setPlanEffectiveDate

          public void setPlanEffectiveDate(DT objplanEffectiveDate)

      Set the Plan Effective Date. This field contains the date that the insurance goes into effect.
      Parameters:
        `objplanEffectiveDate` - Specifies date that the insurance goes into effect.

    - #### setPlanExpirationDate

          public void setPlanExpirationDate(java.lang.String strPlanExpirationDate)

      Set the Plan Expiration Date. This indicates the last date of service that the insurance will cover or be responsible for.
      Parameters:
        `strPlanExpirationDate` - Specifies last date of service that the insurance will cover or be responsible for.

    - #### setPlanExpirationDate

          public void setPlanExpirationDate(DT objplanExpirationDate)

      Set the Plan Expiration Date. This indicates the last date of service that the insurance will cover or be responsible for.
      Parameters:
        `objplanExpirationDate` - Specifies last date of service that the insurance will cover or be responsible for.

    - #### setAuthorizationInformation

          public void setAuthorizationInformation(java.lang.String strAuthorizationNumber,
                                         java.lang.String strDate,
                                         java.lang.String strSource)

      Set the Authorization Information. This field specify the authorization number or code be obtained prior to all non-emergency admissions, and within 48 hours of an emergency admission.
      Parameters:
        `strAuthorizationNumber` - Specifies Identifier assigned to the authorization.
        `strDate` - Specifies Date of authorization.
        `strSource` - Specifies Source of authorization.

    - #### setAuthorizationInformation

          public void setAuthorizationInformation(AUI authorizationInformation)

      Set the Authorization Information. This field specify the authorization number or code be obtained prior to all non-emergency admissions, and within 48 hours of an emergency admission.
      Parameters:
        `authorizationInformation` -

    - #### setAssignmentOfBenefits

          public void setAssignmentOfBenefits(java.lang.String strIdentifier,
                                     java.lang.String strText,
                                     java.lang.String strNameOfCodingSystem,
                                     java.lang.String strAlternateIdentifier,
                                     java.lang.String strAlternateText,
                                     java.lang.String strNameOfAlternateCodingSystem,
                                     java.lang.String strCodingSystemVersionID,
                                     java.lang.String strAlternateCodingSystemVersionId,
                                     java.lang.String strOriginalText,
                                     java.lang.String strSecondAlternateIdentifier,
                                     java.lang.String strSecondAlternateText,
                                     java.lang.String strNameofSecondAlternateCodingSystem,
                                     java.lang.String strSecondAlternateCodingSystemVersionID,
                                     java.lang.String strCodingSystemOID,
                                     java.lang.String strValueSetOID,
                                     java.lang.String strValueSetVersionID,
                                     java.lang.String strAlternateCodingSystemOID,
                                     java.lang.String strAlternateValueSetOID,
                                     java.lang.String strAlternateValueSetVersionID,
                                     java.lang.String strSecondAlternateCodingSystemOID,
                                     java.lang.String strSecondAlternateValueSetOID,
                                     java.lang.String strSecondAlternateValueSetVersionID)

      Set the Assignment Of Benefits. This field indicates whether the insured agreed to assign the insurance benefits to the healthcare provider or not.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### setAssignmentOfBenefits

          public void setAssignmentOfBenefits(CWE objassignmentOfBenefits)

      Set the Assignment Of Benefits. This field indicates whether the insured agreed to assign the insurance benefits to the healthcare provider or not.
      Parameters:
        `strAssignmentOfBenefits` - Specifies whether the insured agreed to assign the insurance benefits to the healthcare provider.[Refer to User-defined Table 0135 ].Suggested values. Y,N,M

    - #### setBillingStatus

          public void setBillingStatus(java.lang.String strIdentifier,
                              java.lang.String strText,
                              java.lang.String strNameOfCodingSystem,
                              java.lang.String strAlternateIdentifier,
                              java.lang.String strAlternateText,
                              java.lang.String strNameOfAlternateCodingSystem,
                              java.lang.String strCodingSystemVersionID,
                              java.lang.String strAlternateCodingSystemVersionId,
                              java.lang.String strOriginalText,
                              java.lang.String strSecondAlternateIdentifier,
                              java.lang.String strSecondAlternateText,
                              java.lang.String strNameofSecondAlternateCodingSystem,
                              java.lang.String strSecondAlternateCodingSystemVersionID,
                              java.lang.String strCodingSystemOID,
                              java.lang.String strValueSetOID,
                              java.lang.String strValueSetVersionID,
                              java.lang.String strAlternateCodingSystemOID,
                              java.lang.String strAlternateValueSetOID,
                              java.lang.String strAlternateValueSetVersionID,
                              java.lang.String strSecondAlternateCodingSystemOID,
                              java.lang.String strSecondAlternateValueSetOID,
                              java.lang.String strSecondAlternateValueSetVersionID)

      Set the Billing Status. This field indicates whether the particular insurance has been billed and, if so, the type of bill.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### setBillingStatus

          public void setBillingStatus(CWE objbillingStatus)

      Set the Billing Status. This field indicates whether the particular insurance has been billed and, if so, the type of bill.
      Parameters:
        `objbillingStatus` - Specifies This field indicates whether the particular insurance has been billed and, if so, the type of bill. Refer to User-defined Table 0022 - Billing Status for suggested values.

    - #### setCompanyPlanCode

          public void setCompanyPlanCode(java.lang.String strIdentifier,
                                java.lang.String strText,
                                java.lang.String strNameOfCodingSystem,
                                java.lang.String strAlternateIdentifier,
                                java.lang.String strAlternateText,
                                java.lang.String strNameOfAlternateCodingSystem,
                                java.lang.String strCodingSystemVersionID,
                                java.lang.String strAlternateCodingSystemVersionId,
                                java.lang.String strOriginalText,
                                java.lang.String strSecondAlternateIdentifier,
                                java.lang.String strSecondAlternateText,
                                java.lang.String strNameofSecondAlternateCodingSystem,
                                java.lang.String strSecondAlternateCodingSystemVersionID,
                                java.lang.String strCodingSystemOID,
                                java.lang.String strValueSetOID,
                                java.lang.String strValueSetVersionID,
                                java.lang.String strAlternateCodingSystemOID,
                                java.lang.String strAlternateValueSetOID,
                                java.lang.String strAlternateValueSetVersionID,
                                java.lang.String strSecondAlternateCodingSystemOID,
                                java.lang.String strSecondAlternateValueSetOID,
                                java.lang.String strSecondAlternateValueSetVersionID)

      Set the Company Plan Code. This field contains optional information to further define the data in IN1-3 - Insurance Company ID.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### setCompanyPlanCode

          public void setCompanyPlanCode(CWE objcompanyPlanCode)

      Set the Company Plan Code. This field contains optional information to further define the data in IN1-3 - Insurance Company ID.
      Parameters:
        `objcompanyPlanCode` - Specifies optional information to further define the data in IN1-3 - Insurance Company ID. [Refer to User-defined Table 0042] No Suggested Values.

    - #### setCoordOfBenefits

          public void setCoordOfBenefits(java.lang.String strIdentifier,
                                java.lang.String strText,
                                java.lang.String strNameOfCodingSystem,
                                java.lang.String strAlternateIdentifier,
                                java.lang.String strAlternateText,
                                java.lang.String strNameOfAlternateCodingSystem,
                                java.lang.String strCodingSystemVersionID,
                                java.lang.String strAlternateCodingSystemVersionId,
                                java.lang.String strOriginalText,
                                java.lang.String strSecondAlternateIdentifier,
                                java.lang.String strSecondAlternateText,
                                java.lang.String strNameofSecondAlternateCodingSystem,
                                java.lang.String strSecondAlternateCodingSystemVersionID,
                                java.lang.String strCodingSystemOID,
                                java.lang.String strValueSetOID,
                                java.lang.String strValueSetVersionID,
                                java.lang.String strAlternateCodingSystemOID,
                                java.lang.String strAlternateValueSetOID,
                                java.lang.String strAlternateValueSetVersionID,
                                java.lang.String strSecondAlternateCodingSystemOID,
                                java.lang.String strSecondAlternateValueSetOID,
                                java.lang.String strSecondAlternateValueSetVersionID)

      Set the Coord Of Benefits. This field indicates whether this insurance works in conjunction with other insurance plans, or if it provides independent coverage and payment of benefits regardless of other insurance that might be available to the patient.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### setCoordOfBenefits

          public void setCoordOfBenefits(CWE objcoordOfBenefits)

      Set the Coord Of Benefits. This field indicates whether this insurance works in conjunction with other insurance plans, or if it provides independent coverage and payment of benefits regardless of other insurance that might be available to the patient.
      Parameters:
        `objcoordOfBenefits` - Specifies : This field indicates whether this insurance works in conjunction with other insurance plans, or if it provides independent coverage and payment of benefits regardless of other insurance that might be available to the patient.[Refer to User-defined Table 0173].Suggested Values CO,IN.

    - #### setCoordOfBenPriority

          public void setCoordOfBenPriority(java.lang.String strCoordOfBenPriority)

      Set the Coord Of Ben Priority. This field contains priority sequence.
      Parameters:
        `strCoordOfBenPriority` - Specifies priority sequence. Values are: 1, 2, 3, etc.

    - #### setCoordOfBenPriority

          public void setCoordOfBenPriority(ST objcoordOfBenPriority)

      Set the Coord Of Ben Priority. This field contains priority sequence.
      Parameters:
        `objcoordOfBenPriority` - Specifies priority sequence. Values are: 1, 2, 3, etc.

    - #### setCoverageType

          public void setCoverageType(java.lang.String strIdentifier,
                             java.lang.String strText,
                             java.lang.String strNameOfCodingSystem,
                             java.lang.String strAlternateIdentifier,
                             java.lang.String strAlternateText,
                             java.lang.String strNameOfAlternateCodingSystem,
                             java.lang.String strCodingSystemVersionID,
                             java.lang.String strAlternateCodingSystemVersionId,
                             java.lang.String strOriginalText,
                             java.lang.String strSecondAlternateIdentifier,
                             java.lang.String strSecondAlternateText,
                             java.lang.String strNameofSecondAlternateCodingSystem,
                             java.lang.String strSecondAlternateCodingSystemVersionID,
                             java.lang.String strCodingSystemOID,
                             java.lang.String strValueSetOID,
                             java.lang.String strValueSetVersionID,
                             java.lang.String strAlternateCodingSystemOID,
                             java.lang.String strAlternateValueSetOID,
                             java.lang.String strAlternateValueSetVersionID,
                             java.lang.String strSecondAlternateCodingSystemOID,
                             java.lang.String strSecondAlternateValueSetOID,
                             java.lang.String strSecondAlternateValueSetVersionID)

      Set the Coverage Type. This field contains the coding structure that identify the type of insurance coverage, or what types of services are covered for the purposes of a billing system.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### setCoverageType

          public void setCoverageType(CWE objcoverageType)

      Set the Coverage Type. This field contains the coding structure that identify the type of insurance coverage, or what types of services are covered for the purposes of a billing system.
      Parameters:
        `objcoverageType` - Specifies the coding structure that identifies the type of insurance coverage, or what types of services are covered for the purposes of a billing system.[Refer to User-defined Table 0309 - Coverage Type].suggested values - H,P,B.

    - #### setDelayBeforeLRDay

          public void setDelayBeforeLRDay(java.lang.String strDelayBeforeLRDay)

      Set the Delay Before LR Day. This field indicates the delay before lifetime reserve days.
      Parameters:
        `strDelayBeforeLRDay` - Specifies the delay before lifetime reserve days.

    - #### setDelayBeforeLRDay

          public void setDelayBeforeLRDay(NM objdelayBeforeLRDay)

      Set the Delay Before LR Day. This field indicates the delay before lifetime reserve days.
      Parameters:
        `objdelayBeforeLRDay` - Specifies the delay before lifetime reserve days.

    - #### setHandicap

          public void setHandicap(java.lang.String strIdentifier,
                         java.lang.String strText,
                         java.lang.String strNameOfCodingSystem,
                         java.lang.String strAlternateIdentifier,
                         java.lang.String strAlternateText,
                         java.lang.String strNameOfAlternateCodingSystem,
                         java.lang.String strCodingSystemVersionID,
                         java.lang.String strAlternateCodingSystemVersionId,
                         java.lang.String strOriginalText,
                         java.lang.String strSecondAlternateIdentifier,
                         java.lang.String strSecondAlternateText,
                         java.lang.String strNameofSecondAlternateCodingSystem,
                         java.lang.String strSecondAlternateCodingSystemVersionID,
                         java.lang.String strCodingSystemOID,
                         java.lang.String strValueSetOID,
                         java.lang.String strValueSetVersionID,
                         java.lang.String strAlternateCodingSystemOID,
                         java.lang.String strAlternateValueSetOID,
                         java.lang.String strAlternateValueSetVersionID,
                         java.lang.String strSecondAlternateCodingSystemOID,
                         java.lang.String strSecondAlternateValueSetOID,
                         java.lang.String strSecondAlternateValueSetVersionID)

      Set the Handicap. This field contains a code to describe the insured's disability.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### setHandicap

          public void setHandicap(CWE objhandicap)

      Set the Handicap. This field contains a code to describe the insured's disability.
      Parameters:
        `objhandicap` - This field contains the code that describes an associated party's disability. No suggested values defined [User-defined Table 0295].

    - #### addInsuredAddr

          public void addInsuredAddr(SAD objStreetAddress,
                            java.lang.String strOtherDesignation,
                            java.lang.String strCity,
                            java.lang.String strStateOrProvince,
                            java.lang.String strZipOrPostalCode,
                            java.lang.String strCountry,
                            java.lang.String strAddressType,
                            java.lang.String strOtherGeographicDesignation,
                            CWE objCountyParishCode,
                            CWE objCensusTract,
                            java.lang.String strAddressRepresentationCode,
                            DTM objEffectiveDate,
                            DTM objExpirationDate,
                            CWE objEXpirationReason,
                            java.lang.String strTemporaryIndicator,
                            java.lang.String strBadAddressIndicator,
                            java.lang.String strAddressUsage,
                            java.lang.String strAddressee,
                            java.lang.String strComment,
                            java.lang.String strPreferenceOrder,
                            CWE objProtectionCode,
                            EI objAddressIdentifier)

      Set the Insured Addr. This field contains the address of the insured person.
      Parameters:
        `objStreetAddress` - Specifies the street address.
        `strOtherDesignation` - Specifies the Second line of address.
        `strCity` - The city, or district or place where the addressee is located.
        `strStateOrProvince` - Specifies the state or province where the addressee is located.
        `strZipOrPostalCode` - Specifies the zip or postal code where the addressee is located.
        `strCountry` - Specifies the country where the addressee is located.
        `strAddressType` - Specifies the kind or type of address.
        `strOtherGeographicDesignation` - Specifies any other geographic designation.
        `objCountyParishCode` - Specifies a code that represents the county in which the specified address resides.
        `objCensusTract` - Specifies a code that represents the census tract in which the specified address resides.
        `strAddressRepresentationCode` - Specifies representations of the same name/address Suggested values are I,A,P [Refer table 0465]
        `objEffectiveDate` - It is The first date, if known, on which the address is valid and active.
        `objExpirationDate` - It is The last date, if known, on which the address is valid and active.
        `objExpirationReason` - indicates why this address was marked as ended.
        `strTemporaryIndicator` - indicates whether address is considered temporary .
        `strBadAddressIndicator` - indicates whether it is possible to contact the owning entity.
        `strAddressUsage` - indicates how the address is intended to be used.
        `strAddressee` - indicates the name of the person whose address is intended to be used.
        `strComment` - indicated descriptive information
        `strPreferenceOrder` - preference order
        `objProtectionCode` - indicates that an address need to be protected
        `objAdressIdentifier` - indicates a unique identifier for address

    - #### addInsuredAddr

          public void addInsuredAddr(XAD InsuredAddr)

      Set the Insured Addr. This field contains the address of the insured person.
      Parameters:
        `InsuredAddr` -

    - #### setInsuredAddr

          public void setInsuredAddr(ISingleCollection<XAD> objInsuredAddrList)

      Set the InsuredAddr list.
      Parameters:
        `objInsuredAddrList` - List of InsuredAddr

    - #### setInsuredAdministrativeSex

          public void setInsuredAdministrativeSex(java.lang.String strIdentifier,
                                         java.lang.String strText,
                                         java.lang.String strNameOfCodingSystem,
                                         java.lang.String strAlternateIdentifier,
                                         java.lang.String strAlternateText,
                                         java.lang.String strNameOfAlternateCodingSystem,
                                         java.lang.String strCodingSystemVersionID,
                                         java.lang.String strAlternateCodingSystemVersionId,
                                         java.lang.String strOriginalText,
                                         java.lang.String strSecondAlternateIdentifier,
                                         java.lang.String strSecondAlternateText,
                                         java.lang.String strNameofSecondAlternateCodingSystem,
                                         java.lang.String strSecondAlternateCodingSystemVersionID,
                                         java.lang.String strCodingSystemOID,
                                         java.lang.String strValueSetOID,
                                         java.lang.String strValueSetVersionID,
                                         java.lang.String strAlternateCodingSystemOID,
                                         java.lang.String strAlternateValueSetOID,
                                         java.lang.String strAlternateValueSetVersionID,
                                         java.lang.String strSecondAlternateCodingSystemOID,
                                         java.lang.String strSecondAlternateValueSetOID,
                                         java.lang.String strSecondAlternateValueSetVersionID)

      Set the Insured Administrative Sex. This field contains the gender of the insured.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### setInsuredAdministrativeSex

          public void setInsuredAdministrativeSex(CWE objinsuredAdministrativeSex)

      Set the Insured Administrative Sex. This field contains the gender of the insured.
      Parameters:
        `objinsuredAdministrativeSex` - Specifies : This field contains the gender of the insured.[Refer to User-defined Table 0001].

    - #### setInsuredBirthPlace

          public void setInsuredBirthPlace(java.lang.String strInsuredBirthPlace)

      Set the Insured Birth Place. This field contains the description of the insured's birth place.
      Parameters:
        `strInsuredBirthPlace` - Specifies the description of the insured's birth place.

    - #### setInsuredBirthPlace

          public void setInsuredBirthPlace(ST objinsuredBirthPlace)

      Set the Insured Birth Place. This field contains the description of the insured's birth place.
      Parameters:
        `objinsuredBirthPlace` - Specifies the description of the insured's birth place.

    - #### setInsuredDOB

          public void setInsuredDOB(java.lang.String strTime)

      Set the Insured DOB. This field contains the date of birth of the insured.
      Parameters:
        `strTime` - Specifies a point in time using a 24-hour clock notation.

    - #### setInsuredDOB

          public void setInsuredDOB(DTM insuredDOB)

      Set the Insured DOB. This field contains the date of birth of the insured.
      Parameters:
        `insuredDOB` -

    - #### addInsuredEmployerAddr

          public void addInsuredEmployerAddr(SAD objStreetAddress,
                                    java.lang.String strOtherDesignation,
                                    java.lang.String strCity,
                                    java.lang.String strStateOrProvince,
                                    java.lang.String strZipOrPostalCode,
                                    java.lang.String strCountry,
                                    java.lang.String strAddressType,
                                    java.lang.String strOtherGeographicDesignation,
                                    CWE objCountyParishCode,
                                    CWE objCensusTract,
                                    java.lang.String strAddressRepresentationCode,
                                    DTM objEffectiveDate,
                                    DTM objExpirationDate,
                                    CWE objEXpirationReason,
                                    java.lang.String strTemporaryIndicator,
                                    java.lang.String strBadAddressIndicator,
                                    java.lang.String strAddressUsage,
                                    java.lang.String strAddressee,
                                    java.lang.String strComment,
                                    java.lang.String strPreferenceOrder,
                                    CWE objProtectionCode,
                                    EI objAddressIdentifier)

      Set the Insured Employer Addr. This field contains the address of the insured employee's employer.
      Parameters:
        `objStreetAddress` - Specifies the street address.
        `strOtherDesignation` - Specifies the Second line of address.
        `strCity` - The city, or district or place where the addressee is located.
        `strStateOrProvince` - Specifies the state or province where the addressee is located.
        `strZipOrPostalCode` - Specifies the zip or postal code where the addressee is located.
        `strCountry` - Specifies the country where the addressee is located.
        `strAddressType` - Specifies the kind or type of address.
        `strOtherGeographicDesignation` - Specifies any other geographic designation.
        `objCountyParishCode` - Specifies a code that represents the county in which the specified address resides.
        `objCensusTract` - Specifies a code that represents the census tract in which the specified address resides.
        `strAddressRepresentationCode` - Specifies representations of the same name/address Suggested values are I,A,P [Refer table 0465]
        `objEffectiveDate` - It is The first date, if known, on which the address is valid and active.
        `objExpirationDate` - It is The last date, if known, on which the address is valid and active.
        `objExpirationReason` - indicates why this address was marked as ended.
        `strTemporaryIndicator` - indicates whether address is considered temporary .
        `strBadAddressIndicator` - indicates whether it is possible to contact the owning entity.
        `strAddressUsage` - indicates how the address is intended to be used.
        `strAddressee` - indicates the name of the person whose address is intended to be used.
        `strComment` - indicated descriptive information
        `strPreferenceOrder` - preference order
        `objProtectionCode` - indicates that an address need to be protected
        `objAdressIdentifier` - indicates a unique identifier for address

    - #### addInsuredEmployerAddr

          public void addInsuredEmployerAddr(XAD InsuredEmployerAddr)

      Set the Insured Employer Addr. This field contains the address of the insured employee's employer.
      Parameters:
        `InsuredEmployerAddr` -

    - #### setInsuredEmployerAddr

          public void setInsuredEmployerAddr(ISingleCollection<XAD> objInsuredEmployerAddrList)

      Set the InsuredEmployerAddr list.
      Parameters:
        `objInsuredEmployerAddrList` - List of InsuredEmployerAddr

    - #### setInsuredEmploymentStatus

          public void setInsuredEmploymentStatus(java.lang.String strIdentifier,
                                        java.lang.String strText,
                                        java.lang.String strNameOfCodingSystem,
                                        java.lang.String strAlternateIdentifier,
                                        java.lang.String strAlternateText,
                                        java.lang.String strNameOfAlternateCodingSystem,
                                        java.lang.String strCodingSystemVersionID,
                                        java.lang.String strAlternateCodingSystemVersionId,
                                        java.lang.String strOriginalText,
                                        java.lang.String strSecondAlternateIdentifier,
                                        java.lang.String strSecondAlternateText,
                                        java.lang.String strNameofSecondAlternateCodingSystem,
                                        java.lang.String strSecondAlternateCodingSystemVersionID,
                                        java.lang.String strCodingSystemOID,
                                        java.lang.String strValueSetOID,
                                        java.lang.String strValueSetVersionID,
                                        java.lang.String strAlternateCodingSystemOID,
                                        java.lang.String strAlternateValueSetOID,
                                        java.lang.String strAlternateValueSetVersionID,
                                        java.lang.String strSecondAlternateCodingSystemOID,
                                        java.lang.String strSecondAlternateValueSetOID,
                                        java.lang.String strSecondAlternateValueSetVersionID)

      Set the Insured Employment Status. This field holds the employment status of the insured.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### setInsuredEmploymentStatus

          public void setInsuredEmploymentStatus(CWE insuredEmploymentStatus)

      Set the Insured Employment Status. This field holds the employment status of the insured.
      Parameters:
        `insuredEmploymentStatus` -

    - #### addInsuredIDNumber

          public void addInsuredIDNumber(java.lang.String strIDNumber,
                                java.lang.String strCheckDigit,
                                java.lang.String strCheckDigitScheme,
                                HD objAssigningAuthority,
                                java.lang.String strIdentifierTypeCode,
                                HD objAssigningFacility,
                                java.lang.String strEffectiveDate,
                                java.lang.String strExpirationDate,
                                CWE objAssigningJurisdiction,
                                CWE objAssigningAgencyOrDepartment,
                                java.lang.String strSecurityCheck,
                                java.lang.String strSecurityCheckScheme)

      Set the Insured ID Number. This field data element contains a healthcare institution's identifiers for the insured.
      Parameters:
        `strIDNumber` - Specifies the value of the identifier itself.
        `strCheckDigit` - It is part of the identifying number used in the sending application.
        `strCheckDigitScheme` - Contains the code identifying the check digit scheme employed. Suggested Values NP,ISO,M10,M11.[Refer table No.0061].
        `objAssigningAuthority` - The assigning authority is a unique name of the system (or organization or agency or department) that creates the data. .
        `strIdentifierTypeCode` - Specifies a code corresponding to the type of identifier.In some cases, this code may be used as a qualifier to the "Assigning authority" component.[Refer table No 0203]
        `objAssigningFacility` - Specifies the place or location identifier where the identifier was first assigned to the patient.
        `strEffectiveDate` - Specifies the first date, if known, on which the address is valid and active.
        `strExpirationDate` - Specifies the last date, if known, on which the address is valid and active.
        `objAssigningJurisdiction` - Specifies the geo-political body that assigned the identifier.
        `objAssigningAgencyOrDepartment` - Specifies agency or department that assigned the identifier.
        `strSecurityCheck` - is used to communicate the version code.
        `objSecurityCheckSCheme` - is used to transmit information intended to validate veracity of the supplied identifier

    - #### addInsuredIDNumber

          public void addInsuredIDNumber(CX InsuredIDNumber)

      Set the Insured ID Number. This field data element contains a healthcare institution's identifiers for the insured.
      Parameters:
        `InsuredIDNumber` -

    - #### setInsuredIDNumber

          public void setInsuredIDNumber(ISingleCollection<CX> objInsuredIDNumberList)

      Set the InsuredIDNumber list.
      Parameters:
        `objInsuredIDNumberList` - List of InsuredIDNumber

    - #### setInsuredRelationshipToPatient

          public void setInsuredRelationshipToPatient(java.lang.String strIdentifier,
                                             java.lang.String strText,
                                             java.lang.String strNameOfCodingSystem,
                                             java.lang.String strAlternateIdentifier,
                                             java.lang.String strAlternateText,
                                             java.lang.String strNameOfAlternateCodingSystem,
                                             java.lang.String strCodingSystemVersionID,
                                             java.lang.String strAlternateCodingSystemVersionId,
                                             java.lang.String strOriginalText,
                                             java.lang.String strSecondAlternateIdentifier,
                                             java.lang.String strSecondAlternateText,
                                             java.lang.String strNameofSecondAlternateCodingSystem,
                                             java.lang.String strSecondAlternateCodingSystemVersionID,
                                             java.lang.String strCodingSystemOID,
                                             java.lang.String strValueSetOID,
                                             java.lang.String strValueSetVersionID,
                                             java.lang.String strAlternateCodingSystemOID,
                                             java.lang.String strAlternateValueSetOID,
                                             java.lang.String strAlternateValueSetVersionID,
                                             java.lang.String strSecondAlternateCodingSystemOID,
                                             java.lang.String strSecondAlternateValueSetOID,
                                             java.lang.String strSecondAlternateValueSetVersionID)

      Set the Insured Relationship To Patient. This field indicates the insured's relationship to the patient.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### setInsuredRelationshipToPatient

          public void setInsuredRelationshipToPatient(CWE insuredRelationshipToPatient)

      Set the Insured Relationship To Patient. This field indicates the insured's relationship to the patient.
      Parameters:
        `insuredRelationshipToPatient` -

    - #### setLifetimeReserveDays

          public void setLifetimeReserveDays(java.lang.String strLifetimeReserveDays)

      Set the Lifetime Reserve Days. This field contains the number of days left for a certain service to be provided or covered under an insurance policy.
      Parameters:
        `strLifetimeReserveDays` - Specifies the number of days left for a certain service to be provided or covered under an insurance policy.

    - #### setLifetimeReserveDays

          public void setLifetimeReserveDays(NM objlifetimeReserveDays)

      Set the Lifetime Reserve Days. This field contains the number of days left for a certain service to be provided or covered under an insurance policy.
      Parameters:
        `objlifetimeReserveDays` - Specifies the number of days left for a certain service to be provided or covered under an insurance policy.

    - #### addNameOfInsured

          public void addNameOfInsured(FN objFamilyName,
                              java.lang.String strGivenName,
                              java.lang.String strSecondAndFurtherGivenNamesOrInitialsThereof,
                              java.lang.String strSuffix,
                              java.lang.String strPrefix,
                              java.lang.String strNameTypeCode,
                              java.lang.String strNameRepresentationCode,
                              CWE objNameContext,
                              java.lang.String strNameAssemblyOrder,
                              DTM objEffectiveDate,
                              DTM objExpirationDate,
                              java.lang.String strProfessionalSuffix,
                              java.lang.String strCalledBy)

      Set the Name Of Insured. This field contains the name of the insured person.
      Parameters:
        `objFamilyName` - Specifies the surname of a person.
        `strGivenName` - Specifies First name.
        `strSecondAndFurtherGivenNamesOrInitialsThereof` - Specifies multiple middle names that may be included by separating them with spaces.
        `strSuffix` - Used to specify a name suffix (e.g., Jr. or III).
        `strPrefix` - Used to specify a name prefix (e.g., Dr.).
        `strNameTypeCode` - Specifies a code that represents the type of name. Suggested values are A,B,C,D,I,L,M,N,P,R,S,T,U...[Refer table 0200.]
        `strNameRepresentationCode` - Specifies representations of the same name/address Suggested values are I,A,P [Refer table 0465]
        `objNameContext` - Designates the context in which a name is used. [Refer User-defined Table 0448 ]
        `strNameAssemblyOrder` - Specifies a code that represents the preferred display order of the components of this person name. Suggested values are G,F[Refer table 0444.]
        `objEffectiveDate` - Specifies the first date, if known, on which the address is valid and active.
        `objExpirationDate` - Specifies the last date, if known, on which the address is valid and active.
        `strProfessionalSuffix` - Used to specify an abbreviation, or a string of abbreviations, denoting qualifications that support the person's profession, (e.g., licenses).
        `strCalledBy` - Used to specify the called name.

    - #### addNameOfInsured

          public void addNameOfInsured(XPN NameOfInsured)

      Set the Name Of Insured. This field contains the name of the insured person.
      Parameters:
        `NameOfInsured` -

    - #### setNameOfInsured

          public void setNameOfInsured(ISingleCollection<XPN> objNameOfInsuredList)

      Set the NameOfInsured list.
      Parameters:
        `objNameOfInsuredList` - List of NameOfInsured

    - #### setNoticeOfAdmissionDate

          public void setNoticeOfAdmissionDate(java.lang.String strNoticeOfAdmissionDate)

      Set the Notice Of Admission Date. This field indicates the date that it is send.
      Parameters:
        `strNoticeOfAdmissionDate` - Specifies the date that it was sent.

    - #### setNoticeOfAdmissionDate

          public void setNoticeOfAdmissionDate(DT objnoticeOfAdmissionDate)

      Set the Notice Of Admission Date. This field indicates the date that it is send.
      Parameters:
        `objnoticeOfAdmissionDate` - Specifies the date that it was sent.

    - #### setNoticeOfAdmissionFlag

          public void setNoticeOfAdmissionFlag(java.lang.String strNoticeOfAdmissionFlag)

      Set the Notice Of Admission Flag. This field indicates whether the insurance company requires a written notice of admission from the healthcare provider or not.
      Parameters:
        `strNoticeOfAdmissionFlag` - Specifies indicates whether the insurance company requires a written notice of admission from the healthcare provider.[Refer to HL7 table 0136].Suggested Values Y,N.

    - #### setNoticeOfAdmissionFlag

          public void setNoticeOfAdmissionFlag(ID objnoticeOfAdmissionFlag)

      Set the Notice Of Admission Flag. This field indicates whether the insurance company requires a written notice of admission from the healthcare provider or not.
      Parameters:
        `objnoticeOfAdmissionFlag` - Specifies indicates whether the insurance company requires a written notice of admission from the healthcare provider.[Refer to HL7 table 0136].Suggested Values Y,N.

    - #### setPlanType

          public void setPlanType(java.lang.String strIdentifier,
                         java.lang.String strText,
                         java.lang.String strNameOfCodingSystem,
                         java.lang.String strAlternateIdentifier,
                         java.lang.String strAlternateText,
                         java.lang.String strNameOfAlternateCodingSystem,
                         java.lang.String strCodingSystemVersionID,
                         java.lang.String strAlternateCodingSystemVersionId,
                         java.lang.String strOriginalText,
                         java.lang.String strSecondAlternateIdentifier,
                         java.lang.String strSecondAlternateText,
                         java.lang.String strNameofSecondAlternateCodingSystem,
                         java.lang.String strSecondAlternateCodingSystemVersionID,
                         java.lang.String strCodingSystemOID,
                         java.lang.String strValueSetOID,
                         java.lang.String strValueSetVersionID,
                         java.lang.String strAlternateCodingSystemOID,
                         java.lang.String strAlternateValueSetOID,
                         java.lang.String strAlternateValueSetVersionID,
                         java.lang.String strSecondAlternateCodingSystemOID,
                         java.lang.String strSecondAlternateValueSetOID,
                         java.lang.String strSecondAlternateValueSetVersionID)

      Set the Plan Type. This contains the coding structure that identify the various plan types.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### setPlanType

          public void setPlanType(CWE objplanType)

      Set the Plan Type. This contains the coding structure that identify the various plan types.
      Parameters:
        `objplanType` - Specifies the coding structure that identifies the various plan types, for example, Medicare, Medicaid, Blue Cross, HMO, etc.[Refer to User-defined Table 0086 - Plan ID].No Suggested Values.

    - #### setPolicyDeductible

          public void setPolicyDeductible(MO objPrice,
                                 java.lang.String strPriceType,
                                 java.lang.String strFromValue,
                                 java.lang.String strToValue,
                                 CWE objRangeUnits,
                                 java.lang.String strRangeType)

      Set the Policy Deductible. This field contains the amount specify by the insurance plan that is the responsibility of the guarantor (i.e. deductible, excess, etc.).
      Parameters:
        `objPrice` - Specifies an amount of money and the denomination in which it is expressed.
        `strPriceType` - Specifies a coded value, data type ID.[Refer to HL7 Table 0205] Suggested Values AP,DC,IC,PF,TF,TP,UP.
        `strFromValue` - Spefies the "range" alongwith strToValue.
        `strToValue` - Spefies the "range" alongwith strFromValue.
        `objRangeUnits` - Specifies This describes the units associated with the range, e.g., seconds, minutes
        `strRangeType` - Refer to HL7 Table 0298 - CP range type for valid values.(P,F)

    - #### setPolicyDeductible

          public void setPolicyDeductible(CP policyDeductible)

      Set the Policy Deductible. This field contains the amount specify by the insurance plan that is the responsibility of the guarantor (i.e. deductible, excess, etc.).
      Parameters:
        `policyDeductible` -

    - #### setPolicyLimitDays

          public void setPolicyLimitDays(java.lang.String strPolicyLimitDays)

      Set the Policy Limit Days. This field contains the maximum number of days that the insurance policy will cover.
      Parameters:
        `strPolicyLimitDays` - Specifies the maximum number of days that the insurance policy will cover.

    - #### setPolicyLimitDays

          public void setPolicyLimitDays(NM objpolicyLimitDays)

      Set the Policy Limit Days. This field contains the maximum number of days that the insurance policy will cover.
      Parameters:
        `objpolicyLimitDays` - Specifies the maximum number of days that the insurance policy will cover.

    - #### setPolicyNumber

          public void setPolicyNumber(java.lang.String strPolicyNumber)

      Set the Policy Number. This field contains the individual policy number of the insured to uniquely identify this patient's plan.
      Parameters:
        `strPolicyNumber` - The individual policy number of the insured to uniquely identify patient's plan.

    - #### setPolicyNumber

          public void setPolicyNumber(ST objpolicyNumber)

      Set the Policy Number. This field contains the individual policy number of the insured to uniquely identify this patient's plan.
      Parameters:
        `objpolicyNumber` - The individual policy number of the insured to uniquely identify patient's plan.

    - #### setPreAdmitCert

          public void setPreAdmitCert(java.lang.String strPreAdmitCert)

      Set the Pre Admit Cert. This field contains the pre admission certification code.
      Parameters:
        `strPreAdmitCert` - Specifies the pre admission certification code. ]

    - #### setPreAdmitCert

          public void setPreAdmitCert(ST objpreAdmitCert)

      Set the Pre Admit Cert. This field contains the pre admission certification code.
      Parameters:
        `objpreAdmitCert` - Specifies the pre admission certification code. ]

    - #### setPriorInsurancePlanID

          public void setPriorInsurancePlanID(java.lang.String strIdentifier,
                                     java.lang.String strText,
                                     java.lang.String strNameOfCodingSystem,
                                     java.lang.String strAlternateIdentifier,
                                     java.lang.String strAlternateText,
                                     java.lang.String strNameOfAlternateCodingSystem,
                                     java.lang.String strCodingSystemVersionID,
                                     java.lang.String strAlternateCodingSystemVersionId,
                                     java.lang.String strOriginalText,
                                     java.lang.String strSecondAlternateIdentifier,
                                     java.lang.String strSecondAlternateText,
                                     java.lang.String strNameofSecondAlternateCodingSystem,
                                     java.lang.String strSecondAlternateCodingSystemVersionID,
                                     java.lang.String strCodingSystemOID,
                                     java.lang.String strValueSetOID,
                                     java.lang.String strValueSetVersionID,
                                     java.lang.String strAlternateCodingSystemOID,
                                     java.lang.String strAlternateValueSetOID,
                                     java.lang.String strAlternateValueSetVersionID,
                                     java.lang.String strSecondAlternateCodingSystemOID,
                                     java.lang.String strSecondAlternateValueSetOID,
                                     java.lang.String strSecondAlternateValueSetVersionID)

      Set the Prior Insurance Plan ID. This field uniquely identify the prior insurance plan when the plan ID changes.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### setPriorInsurancePlanID

          public void setPriorInsurancePlanID(CWE objpriorInsurancePlanID)

      Set the Prior Insurance Plan ID. This field uniquely identify the prior insurance plan when the plan ID changes.
      Parameters:
        `objpriorInsurancePlanID` - Specifies a code to describe the insured's disability.

    - #### setReleaseInformationCode

          public void setReleaseInformationCode(java.lang.String strIdentifier,
                                       java.lang.String strText,
                                       java.lang.String strNameOfCodingSystem,
                                       java.lang.String strAlternateIdentifier,
                                       java.lang.String strAlternateText,
                                       java.lang.String strNameOfAlternateCodingSystem,
                                       java.lang.String strCodingSystemVersionID,
                                       java.lang.String strAlternateCodingSystemVersionId,
                                       java.lang.String strOriginalText,
                                       java.lang.String strSecondAlternateIdentifier,
                                       java.lang.String strSecondAlternateText,
                                       java.lang.String strNameofSecondAlternateCodingSystem,
                                       java.lang.String strSecondAlternateCodingSystemVersionID,
                                       java.lang.String strCodingSystemOID,
                                       java.lang.String strValueSetOID,
                                       java.lang.String strValueSetVersionID,
                                       java.lang.String strAlternateCodingSystemOID,
                                       java.lang.String strAlternateValueSetOID,
                                       java.lang.String strAlternateValueSetVersionID,
                                       java.lang.String strSecondAlternateCodingSystemOID,
                                       java.lang.String strSecondAlternateValueSetOID,
                                       java.lang.String strSecondAlternateValueSetVersionID)

      Set the Release Information Code. This field indicates whether the healthcare provider can release information about the patient, and what information can be released.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### setReleaseInformationCode

          public void setReleaseInformationCode(CWE objreleaseInformationCode)

      Set the Release Information Code. This field indicates whether the healthcare provider can release information about the patient, and what information can be released.
      Parameters:
        `objreleaseInformationCode` - Specifies whether the healthcare provider can release information about the patient, and what information can be released. [Refer to User-defined Table 0093].Suggested Values Y,N..

    - #### setReportOfEligibilityDate

          public void setReportOfEligibilityDate(java.lang.String strReportOfEligibilityDate)

      Set the Report Of Eligibility Date. This field indicates whether a report of eligibility (ROE) is received, and also indicates the date that it is received.
      Parameters:
        `strReportOfEligibilityDate` - Specifies whether a report of eligibility (ROE) was received.

    - #### setReportOfEligibilityDate

          public void setReportOfEligibilityDate(DT objreportOfEligibilityDate)

      Set the Report Of Eligibility Date. This field indicates whether a report of eligibility (ROE) is received, and also indicates the date that it is received.
      Parameters:
        `objreportOfEligibilityDate` - Specifies whether a report of eligibility (ROE) was received.

    - #### setReportOfEligibilityFlag

          public void setReportOfEligibilityFlag(java.lang.String strReportOfEligibilityFlag)

      Set the Report Of Eligibility Flag. This field indicates whether this insurance carrier sends a report that indicates that the patient is eligible for benefits and whether it identifies those benefits.
      Parameters:
        `strReportOfEligibilityFlag` - Specifies whether this insurance carrier sends a report that indicates that the patient is eligible for benefits and whether it identifies those benefits. [Refer to HL7 table 0136] valid values.Y,N

    - #### setReportOfEligibilityFlag

          public void setReportOfEligibilityFlag(ID objreportOfEligibilityFlag)

      Set the Report Of Eligibility Flag. This field indicates whether this insurance carrier sends a report that indicates that the patient is eligible for benefits and whether it identifies those benefits.
      Parameters:
        `objreportOfEligibilityFlag` - Specifies whether this insurance carrier sends a report that indicates that the patient is eligible for benefits and whether it identifies those benefits. [Refer to HL7 table 0136] valid values.Y,N

    - #### setSignatureCode

          public void setSignatureCode(java.lang.String strIdentifier,
                              java.lang.String strText,
                              java.lang.String strNameOfCodingSystem,
                              java.lang.String strAlternateIdentifier,
                              java.lang.String strAlternateText,
                              java.lang.String strNameOfAlternateCodingSystem,
                              java.lang.String strCodingSystemVersionID,
                              java.lang.String strAlternateCodingSystemVersionId,
                              java.lang.String strOriginalText,
                              java.lang.String strSecondAlternateIdentifier,
                              java.lang.String strSecondAlternateText,
                              java.lang.String strNameofSecondAlternateCodingSystem,
                              java.lang.String strSecondAlternateCodingSystemVersionID,
                              java.lang.String strCodingSystemOID,
                              java.lang.String strValueSetOID,
                              java.lang.String strValueSetVersionID,
                              java.lang.String strAlternateCodingSystemOID,
                              java.lang.String strAlternateValueSetOID,
                              java.lang.String strAlternateValueSetVersionID,
                              java.lang.String strSecondAlternateCodingSystemOID,
                              java.lang.String strSecondAlternateValueSetOID,
                              java.lang.String strSecondAlternateValueSetVersionID)

      Set the Signature Code. This field contains the code to indicate how the patient/subscriber authorization signature was obtained and how it is being retained by the provider.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### setSignatureCode

          public void setSignatureCode(CWE objsignatureCode)

      Set the Signature Code. This field contains the code to indicate how the patient/subscriber authorization signature was obtained and how it is being retained by the provider.
      Parameters:
        `objsignatureCode` - Specifies the code to indicate how the patient/subscriber authorization signature was obtained and how it is being retained by the provider. [Refer to User-defined Table 0535] suggested values are C,S,M,P.

    - #### setSignatureCodeDate

          public void setSignatureCodeDate(java.lang.String strSignatureCodeDate)

      Set the Signature Code Date. This date the patient/subscriber authorization signature is obtained.
      Parameters:
        `strSignatureCodeDate` - Specifies date the patient/subscriber authorization signature was obtained.

    - #### setSignatureCodeDate

          public void setSignatureCodeDate(DT objsignatureCodeDate)

      Set the Signature Code Date. This date the patient/subscriber authorization signature is obtained.
      Parameters:
        `objsignatureCodeDate` - Specifies date the patient/subscriber authorization signature was obtained.

    - #### setTypeOfAgreementCode

          public void setTypeOfAgreementCode(java.lang.String strIdentifier,
                                    java.lang.String strText,
                                    java.lang.String strNameOfCodingSystem,
                                    java.lang.String strAlternateIdentifier,
                                    java.lang.String strAlternateText,
                                    java.lang.String strNameOfAlternateCodingSystem,
                                    java.lang.String strCodingSystemVersionID,
                                    java.lang.String strAlternateCodingSystemVersionId,
                                    java.lang.String strOriginalText,
                                    java.lang.String strSecondAlternateIdentifier,
                                    java.lang.String strSecondAlternateText,
                                    java.lang.String strNameofSecondAlternateCodingSystem,
                                    java.lang.String strSecondAlternateCodingSystemVersionID,
                                    java.lang.String strCodingSystemOID,
                                    java.lang.String strValueSetOID,
                                    java.lang.String strValueSetVersionID,
                                    java.lang.String strAlternateCodingSystemOID,
                                    java.lang.String strAlternateValueSetOID,
                                    java.lang.String strAlternateValueSetVersionID,
                                    java.lang.String strSecondAlternateCodingSystemOID,
                                    java.lang.String strSecondAlternateValueSetOID,
                                    java.lang.String strSecondAlternateValueSetVersionID)

      Set the Type Of Agreement Code. This field is used to further identify an insurance plan.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### setTypeOfAgreementCode

          public void setTypeOfAgreementCode(CWE objtypeOfAgreementCode)

      Set the Type Of Agreement Code. This field is used to further identify an insurance plan.
      Parameters:
        `objtypeOfAgreementCode` - Used to further identify an insurance plan. Refer to User-defined Table 0098 Suggested values S,U,M.

    - #### addVerificationBy

          public void addVerificationBy(java.lang.String strIDNumber,
                               FN objFamilyName,
                               java.lang.String strGivenName,
                               java.lang.String strSecondAndFurtherGivenNamesOrInitialsThereof,
                               java.lang.String strSuffix,
                               java.lang.String strPrefix,
                               CWE objSourceTable,
                               HD objAssigningAuthority,
                               java.lang.String strNameTypeCode,
                               java.lang.String strIdentifierCheckDigit,
                               java.lang.String strCheckDigitScheme,
                               java.lang.String strIdentifierTypeCode,
                               HD objAssigningFacility,
                               java.lang.String strNameRepresentationCode,
                               CWE objNameContext,
                               java.lang.String strNameAssemblyOrder,
                               java.lang.String strEffectiveDate,
                               java.lang.String strExpirationDate,
                               java.lang.String strProfessionalSuffix,
                               CWE objAssigningJurisdiction,
                               CWE objAssigningAgencyOrDepratment,
                               java.lang.String strSecurityCheck,
                               java.lang.String strSecurityCheckScheme)

      Set the Verification By. This field refers to the person who verify the benefits.
      Parameters:
        `strIDNumber` - Refers to the coded ID according to a user-defined table
        `objFamilyName` - Specifies the surname of a person.
        `strGivenName` - Specifies First name.
        `strSecondAndFurtherGivenNamesOrInitialsThereof` - Specifies multiple middle names that may be included by separating them with spaces.
        `strSuffix` - Used to specify a name suffix (e.g., Jr. or III).
        `strPrefix` - Used to specify a name prefix (e.g., Dr.).
        `strSourceTable` - Used as the HL7 identifier for the user-defined table of values for this component. [Refer User-defined Table 0297 - CN ID.]
        `objAssigningAuthority` - Specifies a unique identifier of the system (or organization or agency of department) that creates the data. [Refer User-defined Table 0363 - Assigning authority]
        `strNameTypeCode` - Specifies a code that represents the type of name.
        `strIdentifierCheckDigit` - Specifies part of the identifying number used in the sending application.
        `strCheckDigitScheme` - Specifies the code identifying the check digit scheme employed.[Refer HL7 Table 0061 - Check digit scheme].
        `strIdentifierTypeCode` - Specifies A code corresponding to the type of identifier.[Refer HL7 Table 0203 - Identifier type].
        `objAssigningFacility` - Specifies the place or location identifier where the identifier was first assigned to the person
        `strNameRepresentationCode` - Provides an indication of the representation provided by the data item.
        `objNameContext` - Designates the context in which a name is used. [Refer User-defined Table 0448 ]
        `strNameAssemblyOrder` - Specifies a code that represents the preferred display order of the components of this person name. Suggested values are G,F[Refer table 0444.]
        `strEffectiveDate` - Specifies the first date, if known, on which the address is valid and active.
        `strExpirationDate` - Specifies the last date, if known, on which the address is valid and active.
        `strProfessionalSuffix` - Used to specify an abbreviation, or a string of abbreviations, denoting qualifications that support the person's profession, (e.g., licenses).
        `objAssigningJurisdiction` - Specifies the geo-political body that assigned the identifier.
        `objAssigningAgencyOrDepratment` - Specifies the agency or department that assigned the identifier
        `strSecurityCheck` - Specifies the version code that may be assigned to the person identifier
        `strSecurityCheckScheme` - Specifies the check digit scheme.

    - #### addVerificationBy

          public void addVerificationBy(XCN VerificationBy)

      Set the Verification By. This field refers to the person who verify the benefits.
      Parameters:
        `VerificationBy` -

    - #### setVerificationBy

          public void setVerificationBy(ISingleCollection<XCN> objVerificationByList)

      Set the VerificationBy list.
      Parameters:
        `objVerificationByList` - List of VerificationBy

    - #### setVerificationDateTime

          public void setVerificationDateTime(java.lang.String strTime)

      Set the Verification Date Time. This field contains the date/time that the healthcare provider verified that the patient has the indicated benefits.
      Parameters:
        `strTime` - Specifies a point in time using a 24-hour clock notation.

    - #### setVerificationDateTime

          public void setVerificationDateTime(DTM verificationDateTime)

      Set the Verification Date Time. This field contains the date/time that the healthcare provider verified that the patient has the indicated benefits.
      Parameters:
        `verificationDateTime` - Verification Date Time.

    - #### setVerificationStatus

          public void setVerificationStatus(java.lang.String strVerificationStatus)

      Set the Verification Status. This field contains the status of this patient's relationship with this insurance carrier.
      Parameters:
        `strVerificationStatus` - Specifies the status of this patient's relationship with this insurance carrier.

    - #### setVerificationStatus

          public void setVerificationStatus(ST objverificationStatus)

      Set the Verification Status. This field contains the status of this patient's relationship with this insurance carrier.
      Parameters:
        `objverificationStatus` - Specifies the status of this patient's relationship with this insurance carrier.

    - #### setVIPIndicator

          public void setVIPIndicator(java.lang.String strIdentifier,
                             java.lang.String strText,
                             java.lang.String strNameOfCodingSystem,
                             java.lang.String strAlternateIdentifier,
                             java.lang.String strAlternateText,
                             java.lang.String strNameOfAlternateCodingSystem,
                             java.lang.String strCodingSystemVersionID,
                             java.lang.String strAlternateCodingSystemVersionId,
                             java.lang.String strOriginalText,
                             java.lang.String strSecondAlternateIdentifier,
                             java.lang.String strSecondAlternateText,
                             java.lang.String strNameofSecondAlternateCodingSystem,
                             java.lang.String strSecondAlternateCodingSystemVersionID,
                             java.lang.String strCodingSystemOID,
                             java.lang.String strValueSetOID,
                             java.lang.String strValueSetVersionID,
                             java.lang.String strAlternateCodingSystemOID,
                             java.lang.String strAlternateValueSetOID,
                             java.lang.String strAlternateValueSetVersionID,
                             java.lang.String strSecondAlternateCodingSystemOID,
                             java.lang.String strSecondAlternateValueSetOID,
                             java.lang.String strSecondAlternateValueSetVersionID)

      Set the VIP Indicator. This field identify the type of VIP for the insured.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### setVIPIndicator

          public void setVIPIndicator(CWE objvIPIndicator)

      Set the VIP Indicator. This field identify the type of VIP for the insured.
      Parameters:
        `objvIPIndicator` - Specifies the type of VIP for the insured. [Refer to User-defined Table 0099 - VIP indicator]

    - #### addExternalHealthPlanIdentifiers

          public void addExternalHealthPlanIdentifiers(java.lang.String strIDNumber,
                                              java.lang.String strCheckDigit,
                                              java.lang.String strCheckDigitScheme,
                                              HD objAssigningAuthority,
                                              java.lang.String strIdentifierTypeCode,
                                              HD objAssigningFacility,
                                              java.lang.String strEffectiveDate,
                                              java.lang.String strExpirationDate,
                                              CWE objAssigningJurisdiction,
                                              CWE objAssigningAgencyOrDepartment,
                                              java.lang.String strSecurityCheck,
                                              java.lang.String strSecurityCheckScheme)

      Set the External Health Plan Identifiers. This field contains the external Health Plan Identifiers that correspond to the internal Health Plan ID in IN1-2 – Health Plan ID.
      Parameters:
        `strIDNumber` - Specifies the value of the identifier itself.
        `strCheckDigit` - It is part of the identifying number used in the sending application.
        `strCheckDigitScheme` - Contains the code identifying the check digit scheme employed. Suggested Values NP,ISO,M10,M11.[Refer table No.0061].
        `objAssigningAuthority` - The assigning authority is a unique name of the system (or organization or agency or department) that creates the data. .
        `strIdentifierTypeCode` - Specifies a code corresponding to the type of identifier.In some cases, this code may be used as a qualifier to the "Assigning authority" component.[Refer table No 0203]
        `objAssigningFacility` - Specifies the place or location identifier where the identifier was first assigned to the patient.
        `strEffectiveDate` - Specifies the first date, if known, on which the address is valid and active.
        `strExpirationDate` - Specifies the last date, if known, on which the address is valid and active.
        `objAssigningJurisdiction` - Specifies the geo-political body that assigned the identifier.
        `objAssigningAgencyOrDepartment` - Specifies agency or department that assigned the identifier.
        `strSecurityCheck` - is used to communicate the version code.
        `objSecurityCheckSCheme` - is used to transmit information intended to validate veracity of the supplied identifier

    - #### addExternalHealthPlanIdentifiers

          public void addExternalHealthPlanIdentifiers(CX ExternalHealthPlanIdentifiers)

      Set the External Health Plan Identifiers. This field contains the external Health Plan Identifiers that correspond to the internal Health Plan ID in IN1-2 – Health Plan ID.
      Parameters:
        `ExternalHealthPlanIdentifiers` - - External Health Plan Identifiers

    - #### setExternalHealthPlanIdentifiers

          public void setExternalHealthPlanIdentifiers(ISingleCollection<CX> objExternalHealthPlanIdentifiersList)

      Set the External Health Plan Identifiers. This field contains the external Health Plan Identifiers that correspond to the internal Health Plan ID in IN1-2 – Health Plan ID.
      Parameters:
        `objExternalHealthPlanIdentifiersList` - External Health Plan Identifiers

    - #### setInsuranceActionCode

          public void setInsuranceActionCode(java.lang.String strInsuranceActionCode)

      Set the Insurance Action Code. The Insurance Action Code Defines the action to be taken for this insurance.
      Parameters:
        `strInsuranceActionCode` - The Insurance Action Code Defines the action to be taken for this insurance.

    - #### setInsuranceActionCode

          public void setInsuranceActionCode(ID objInsuranceActionCode)

      Set the Insurance Action Code. The Insurance Action Code Defines the action to be taken for this insurance.
      Parameters:
        `objInsuranceActionCode` - Indicates whether or not a system should suppress printing of the guarantor's bills. [to HL7 table 0136 - Yes/no Indicator].valid values Y,N.

    - #### validate

          public boolean validate()
                           throws InvalidSegmentException

      Validates HL7 Message objects . Validate method checks for validation each and every segments in side the Message object against specified message Structure. Validation chcecks include optionality of segment or group. It also verifies the number of times segment or group is repeated in message. e.g {PSH} while parsing PSH segment validate method will check for its mandatory presence. [PSH] in this case validate will throw exception if one tries to enter more than one PSH segment.
      Specified by:
        `validate` in interface `ISegment`
      Overrides:
        `validate` in class `Segment`
      Returns:
        boolean - true or false.
      Throws:
        `InvalidSegmentException` - If Segment Validation fails